<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<header id="header">
				
	<%--Links to cart, account, and checkout --%>
	<nav id="topNav" class="navbar-inverse navbar user navbar-static-top" role="navigation">
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<c:if test="${settings.map.catalogMode eq '0'}">
						<ul id="storeLinks" class="nav navbar-nav navbar-right">
							<ssc:insert page="/WEB-INF/layouts/default-html5/core/headerTopLinks.jsp" />
						</ul>
					</c:if>
				</div>
			</div>
		</div>
	</nav>
		
	<div class="container">
		<div class="row">
		
			<%-- Navigation expand button - mobile only --%>
			<div class="col-xs-2 visible-xs">
				<button type="button" class="btn btn-default dropdown-toggle" data-toggle="collapse" data-target=".navbar-main-collapse">
					<span class="glyphicon glyphicon-align-justify"></span>
				</button>
			</div>
			
			<%-- Store's name or logo, if defined. --%>
			<div class="col-xs-8 col-sm-8">
				<c:choose>
					<c:when test="${empty settings.map.storeLogo}">
						<h1 id="storeName">
							<ssc:link href="${customerURL}/Welcome.do">${settings.map.storeName}</ssc:link>
						</h1>
					</c:when>
					<c:otherwise>
						<div id="storeLogo">
							<ssc:link href="${customerURL}/Welcome.do">
								<img class="img-responsive" src="${settings.map.storeLogo}" alt="${settings.map.storeName}" />
							</ssc:link>
						</div>
					</c:otherwise>
				</c:choose>
			</div>
			
			<%-- The search form button - mobile only --%>
			<div class="col-xs-2 visible-xs">
				<c:if test="${settings.map.displaySearchForm eq '1' }">
					<button type="button" class="btn btn-default visible-xs pull-right" data-toggle="collapse" data-target=".search-collapse">
						<span class="glyphicon glyphicon-search" title="<bean:message key="search.button" bundle="/product" />"></span>
					</button>
				</c:if>
			</div>
			
			<%-- The search form --%>
			<div class="col-xs-12 col-sm-4 collapse navbar-collapse search-collapse">
				<c:if test="${settings.map.displaySearchForm eq '1' }">
					<ssc:insert page="/WEB-INF/layouts/default/product/searchForm.jsp" />
				</c:if>
			</div>
		</div>
	
		<%-- Navigation --%>
		<div class="row">
			<div class="col-sm-12">
				<ssc:insert page="/WEB-INF/layouts/default-html5/core/navigation.jsp"/>
			</div>
		</div>
	</div>

</header>
<!-- End ${pageScope.sscCurrentPage} -->
