<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start login.jsp -->
<div id="loginFormGuts">

	<%--Original request--%>
	<html:hidden name="loginForm" property="originalRequest"/>
	
	<%--Cross-site request forgery token--%>
	<html:hidden name="loginForm" property="csrfToken" value="${sessionScope.csrfToken}"/>

	<%--User name/email field--%>
	<label for="loginUserName">
		<c:if test="${keepUserNameAndEmailInSync eq '1'}">
			<bean:message key="customer.email" bundle="/customer"/>:
		</c:if>
		<c:if test="${keepUserNameAndEmailInSync ne '1'}">
			<bean:message key="customer.userName" bundle="/customer"/>:
		</c:if>
	</label><br />
	<html:text styleId="loginUserName" styleClass="textbox" name="loginForm" property="userName"/><br />
	
	<%--Password field--%>
	<label for="loginDecryptedPassword">
		<bean:message key="customer.password" bundle="/customer"/>:
	</label><br />
	<c:choose>
		<c:when test="${!empty resetPasswordSuccess}">
			<input type="password" id="loginDecryptedPassword" class="textbox" name="decryptedPassword" />
		</c:when>
		<c:otherwise>
			<html:password styleId="loginDecryptedPassword" styleClass="textbox" name="loginForm" property="decryptedPassword"/>
		</c:otherwise>
	</c:choose>
	
	<%--Remember Me field--%>
	<c:if test="${settings.map.allowCustomerAutoLogins eq '1'}">
		<html:checkbox styleId="loginRememberMe" styleClass="checkbox" name="loginForm" property="rememberMe"/>
		<label for="loginRememberMe">
			<bean:message key="customer.rememberMe" bundle="/customer"/>
		</label><br /><br />
	</c:if>
	
	<%--Submit button--%>
	<span id="loginButton" class="buttonWrap"><input type="submit" class="button" value="<bean:message key="customer.loginButton" bundle="/customer"/>"/></span>

</div>
<!-- End login.jsp -->
