<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="user" name="user" scope="session" type="com.softslate.commerce.businessobjects.core.User" />

<!-- Start paymentForms.jsp -->
<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	String activePaymentFormTemplates = appComponents.getProperty("activePaymentFormTemplates");
	pageContext.setAttribute("activePaymentForms", activePaymentFormTemplates);
%>
<bean:define id="authorizeDPMURL" name="settings" property="value(authorizeNetDPMURL)"/>
<script language="JavaScript" type="text/javascript">
	<!--
		var submitcount=0;
		function checkSubmitOnce() {
		      if (submitcount == 0) {
		          submitcount++;
		      	  return true;
		      } else {
		          alert("<bean:message key="checkout.submitOnce" bundle="/order"/>");
		      	  return false;
		      }
		}
	//-->
</script>
<%-- Changed to check for certain payment types to hide or do forms differently specific to payment type --%>
<c:forTokens var="templateFile" varStatus="current" items="${activePaymentForms}" delims=",">
	<c:choose>
		 <c:when test="${fn:contains(templateFile,'creSecurePaymentForm.jsp')}">
         	<%-- Normal form button if choosing existing payment profile --%>
         	<% String templateFile = (String) pageContext.getAttribute("templateFile"); %>
         	<c:if test="${ !empty user.order.paymentProfileID}">
				<form class="centeredForm" name="checkoutPayment" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutPayment.do")%>" method="post" onsubmit="return checkSubmitOnce()">
				<input type="hidden" name="submittedForm" value="checkoutPayment" />
				<input type="hidden" name="paymentFormCount" value="<c:out value="${current.count}"/>"/>
				<c:set var="thisForm" value="paymentForm${current.count}" scope="request"/>
				<c:set var="creDisplayFormPart" value="paymentButton" scope="request"/>
				<tiles:insert page="<%= templateFile %>" />
				<br/>
				</form>
			</c:if>
			<c:if test="${!empty creSecureFormURL }">
				<c:set var="creDisplayFormPart" value="creForm" scope="request"/>
				<tiles:insert page="<%= templateFile %>" />
				<%-- Use this form to submit to confirm in javascript if using confirm page --%>
				<form id="crePaymentForm" class="centeredForm" name="checkoutPayment" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutPayment.do")%>" method="post">
					<input type="hidden" name="submittedForm" value="checkoutPayment" />
					<input type="hidden" name="paymentFormCount" value="<c:out value="${current.count}"/>"/>
					<input type="hidden" name="creditCardNumberDisplay" value=""/>
					<c:set var="thisForm" value="paymentForm${current.count}" scope="request"/>
				</form>
				<br/>
			</c:if>
         </c:when>
         <c:otherwise>
         	<c:choose>
        <c:when test="${fn:contains(templateFile,'purchaseOrderPaymentForm.jsp')}">
       		<c:set var="canUsePO" value="${false}"/>
			<c:set var="purchaseOrderStatus" value="${ settings.map.purchaseOrderStatus }"/>
			<c:if test="${!empty settings.map.purchaseOrderStatus and settings.map.purchaseOrderStatus eq '1' and user != null && user.customer != null && user.customer.canUsePO}">
				<c:set var="canUsePO" value="${true}"/>
			</c:if>
			<c:if test="${canUsePO}">
				<form class="centeredForm" name="checkoutPayment" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutPayment.do")%>" method="post" onsubmit="return checkSubmitOnce()">
			</c:if>
			<c:if test="${!canUsePO}">
				<!-- PO Not Available -->
			</c:if>
		</c:when>   
		        <c:when test="${fn:contains(templateFile,'authorizeNetDPMPaymentForm.jsp')}">
					<form class="centeredForm" name="checkoutPayment" action="<c:out value="${settings.map.authorizeNetDPMURL}"/>" method="post" onSubmit="return checkSubmitOnce()">
		        </c:when>
		        <c:otherwise>
					<form class="centeredForm" name="checkoutPayment" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutPayment.do")%>" method="post" onsubmit="return checkSubmitOnce()">
		        </c:otherwise>
		        </c:choose>
				<input type="hidden" name="submittedForm" value="checkoutPayment" />
				<input type="hidden" name="paymentFormCount" value="<c:out value="${current.count}"/>"/>
				<c:set var="thisForm" value="paymentForm${current.count}" scope="request"/>
				<% String templateFile = (String) pageContext.getAttribute("templateFile"); %>
				<tiles:insert page="<%= templateFile %>" />
				<br/>
				</form>
         </c:otherwise>
	</c:choose>
</c:forTokens>
<!-- End paymentForms.jsp -->
