package com.softslate.commerce.businessobjects.importexport;

import java.io.Serializable;

import com.softslate.commerce.businessobjects.core.BaseBusinessObject;

/**
 * Helper bean used for order exports.
 * 
 * @author Ashish Jain
 *
 */
public class OrdersExportBean extends BaseBusinessObject implements
		Serializable {

	private static final long serialVersionUID = 1L;

	public String order_id = null;

	public String order_number = null;

	public String order_customerID = null;

	public String order_userName = null;

	public String order_trackingNumber = null;

	public String order_total = null;

	public String order_shipping = null;

	public String order_tax = null;

	public String order_taxableSubtotal = null;

	public String order_subtotal = null;

	public String order_weight = null;

	public String order_quantity = null;

	public String order_created = null;

	public String order_lastModified = null;

	public String order_completed = null;

	public String order_status = null;

	public String order_statusDetails = null;

	public String billing_firstName = null;

	public String billing_lastName = null;

	public String billing_organization = null;

	public String billing_address1 = null;

	public String billing_address2 = null;

	public String billing_city = null;

	public String billing_state = null;

	public String billing_postalCode = null;

	public String billing_country = null;

	public String billing_phone1 = null;

	public String billing_phone2 = null;

	public String billing_email1 = null;

	public String billing_email2 = null;

	public String order_extra1 = null;

	public String order_extra2 = null;

	public String order_notes = null;

	public String order_extra3 = null;

	public String order_extra4 = null;

	public String order_extra5 = null;

	public String delivery_firstName = null;

	public String delivery_lastName = null;

	public String delivery_organization = null;

	public String delivery_address1 = null;

	public String delivery_address2 = null;

	public String delivery_city = null;

	public String delivery_state = null;

	public String delivery_postalCode = null;

	public String delivery_country = null;

	public String delivery_phone1 = null;

	public String delivery_phone2 = null;

	public String delivery_email1 = null;

	public String delivery_email2 = null;

	public String delivery_statusDetails = null;
	
	public String discount_code = null;

	public String discount_total = null;

	public String discount_name = null;

	public String discount_usersAppliesType = null;

	public String discount_usersAppliesValue = null;

	public String discount_itemsAppliesType = null;

	public String discount_itemsAppliesValue = null;

	public String discount_rewardType = null;

	public String discount_reward = null;

	public String discount_couponCode = null;

	public String discount_floor = null;

	public String discount_ceiling = null;

	public String discount_extra1 = null;

	public String discount_extra2 = null;

	public String discount_extra3 = null;

	public String orderItem_code = null;

	public String orderItem_total = null;

	public String orderItem_weight = null;

	public String orderItem_quantity = null;

	public String orderItem_name = null;

	public String orderItem_unitCost = null;

	public String orderItem_unitPrice = null;

	public String orderItem_altPrice = null;

	public String orderItem_productWeight = null;

	public String orderItem_isTaxed = null;

	public String orderItem_shortDescription = null;

	public String orderItem_extra1 = null;

	public String orderItem_extra2 = null;

	public String orderItem_extra3 = null;

	public String orderItem_extra4 = null;

	public String orderItem_extra5 = null;

	public String orderItem_decrementedSKUs = null;

	public String attribute_code = null;

	public String attribute_total = null;

	public String attribute_value = null;

	public String attribute_name = null;

	public String attribute_unitCost = null;

	public String attribute_unitPrice = null;

	public String attribute_altPrice = null;

	public String attribute_weight = null;

	public String option_code = null;

	public String option_name = null;

	public String option_unitCost = null;

	public String option_unitPrice = null;

	public String option_altPrice = null;

	public String option_weight = null;

	public String payment_id = null;

	public String payment_status = null;

	public String payment_creditCardName = null;

	public String payment_creditCardType = null;

	public String payment_creditCardDate = null;

	public String payment_creditCardNumber = null;

	public String payment_creditCardNumberDisplay = null;

	public String payment_valueFieldLabels = null;

	public String payment_value1 = null;

	public String payment_value2 = null;

	public String payment_value3 = null;

	public String payment_value4 = null;

	public String payment_value5 = null;

	public String payment_value6 = null;

	public String payment_value7 = null;

	public String payment_value8 = null;

	public String payment_value9 = null;

	public String payment_paymentProfileID = null;

	/**
	 * @return the attribute_altPrice
	 */
	public String getAttribute_altPrice() {
		return attribute_altPrice;
	}

	/**
	 * @param attribute_altPrice
	 *            the attribute_altPrice to set
	 */
	public void setAttribute_altPrice(String attribute_altPrice) {
		this.attribute_altPrice = attribute_altPrice;
	}

	/**
	 * @return the attribute_code
	 */
	public String getAttribute_code() {
		return attribute_code;
	}

	/**
	 * @param attribute_code
	 *            the attribute_code to set
	 */
	public void setAttribute_code(String attribute_code) {
		this.attribute_code = attribute_code;
	}

	/**
	 * @return the attribute_name
	 */
	public String getAttribute_name() {
		return attribute_name;
	}

	/**
	 * @param attribute_name
	 *            the attribute_name to set
	 */
	public void setAttribute_name(String attribute_name) {
		this.attribute_name = attribute_name;
	}

	/**
	 * @return the attribute_total
	 */
	public String getAttribute_total() {
		return attribute_total;
	}

	/**
	 * @param attribute_total
	 *            the attribute_total to set
	 */
	public void setAttribute_total(String attribute_total) {
		this.attribute_total = attribute_total;
	}

	/**
	 * @return the attribute_unitCost
	 */
	public String getAttribute_unitCost() {
		return attribute_unitCost;
	}

	/**
	 * @param attribute_unitCost
	 *            the attribute_unitCost to set
	 */
	public void setAttribute_unitCost(String attribute_unitCost) {
		this.attribute_unitCost = attribute_unitCost;
	}

	/**
	 * @return the attribute_unitPrice
	 */
	public String getAttribute_unitPrice() {
		return attribute_unitPrice;
	}

	/**
	 * @param attribute_unitPrice
	 *            the attribute_unitPrice to set
	 */
	public void setAttribute_unitPrice(String attribute_unitPrice) {
		this.attribute_unitPrice = attribute_unitPrice;
	}

	/**
	 * @return the attribute_value
	 */
	public String getAttribute_value() {
		return attribute_value;
	}

	/**
	 * @param attribute_value
	 *            the attribute_value to set
	 */
	public void setAttribute_value(String attribute_value) {
		this.attribute_value = attribute_value;
	}

	/**
	 * @return the attribute_weight
	 */
	public String getAttribute_weight() {
		return attribute_weight;
	}

	/**
	 * @param attribute_weight
	 *            the attribute_weight to set
	 */
	public void setAttribute_weight(String attribute_weight) {
		this.attribute_weight = attribute_weight;
	}

	/**
	 * @return the billing_address1
	 */
	public String getBilling_address1() {
		return billing_address1;
	}

	/**
	 * @param billing_address1
	 *            the billing_address1 to set
	 */
	public void setBilling_address1(String billing_address1) {
		this.billing_address1 = billing_address1;
	}

	/**
	 * @return the billing_address2
	 */
	public String getBilling_address2() {
		return billing_address2;
	}

	/**
	 * @param billing_address2
	 *            the billing_address2 to set
	 */
	public void setBilling_address2(String billing_address2) {
		this.billing_address2 = billing_address2;
	}

	/**
	 * @return the billing_city
	 */
	public String getBilling_city() {
		return billing_city;
	}

	/**
	 * @param billing_city
	 *            the billing_city to set
	 */
	public void setBilling_city(String billing_city) {
		this.billing_city = billing_city;
	}

	/**
	 * @return the billing_country
	 */
	public String getBilling_country() {
		return billing_country;
	}

	/**
	 * @param billing_country
	 *            the billing_country to set
	 */
	public void setBilling_country(String billing_country) {
		this.billing_country = billing_country;
	}

	/**
	 * @return the billing_email1
	 */
	public String getBilling_email1() {
		return billing_email1;
	}

	/**
	 * @param billing_email1
	 *            the billing_email1 to set
	 */
	public void setBilling_email1(String billing_email1) {
		this.billing_email1 = billing_email1;
	}

	/**
	 * @return the billing_email2
	 */
	public String getBilling_email2() {
		return billing_email2;
	}

	/**
	 * @param billing_email2
	 *            the billing_email2 to set
	 */
	public void setBilling_email2(String billing_email2) {
		this.billing_email2 = billing_email2;
	}

	/**
	 * @return the billing_firstName
	 */
	public String getBilling_firstName() {
		return billing_firstName;
	}

	/**
	 * @param billing_firstName
	 *            the billing_firstName to set
	 */
	public void setBilling_firstName(String billing_firstName) {
		this.billing_firstName = billing_firstName;
	}

	/**
	 * @return the billing_lastName
	 */
	public String getBilling_lastName() {
		return billing_lastName;
	}

	/**
	 * @param billing_lastName
	 *            the billing_lastName to set
	 */
	public void setBilling_lastName(String billing_lastName) {
		this.billing_lastName = billing_lastName;
	}

	/**
	 * @return the billing_organization
	 */
	public String getBilling_organization() {
		return billing_organization;
	}

	/**
	 * @param billing_organization
	 *            the billing_organization to set
	 */
	public void setBilling_organization(String billing_organization) {
		this.billing_organization = billing_organization;
	}

	/**
	 * @return the billing_phone1
	 */
	public String getBilling_phone1() {
		return billing_phone1;
	}

	/**
	 * @param billing_phone1
	 *            the billing_phone1 to set
	 */
	public void setBilling_phone1(String billing_phone1) {
		this.billing_phone1 = billing_phone1;
	}

	/**
	 * @return the billing_phone2
	 */
	public String getBilling_phone2() {
		return billing_phone2;
	}

	/**
	 * @param billing_phone2
	 *            the billing_phone2 to set
	 */
	public void setBilling_phone2(String billing_phone2) {
		this.billing_phone2 = billing_phone2;
	}

	/**
	 * @return the billing_postalCode
	 */
	public String getBilling_postalCode() {
		return billing_postalCode;
	}

	/**
	 * @param billing_postalCode
	 *            the billing_postalCode to set
	 */
	public void setBilling_postalCode(String billing_postalCode) {
		this.billing_postalCode = billing_postalCode;
	}

	/**
	 * @return the billing_state
	 */
	public String getBilling_state() {
		return billing_state;
	}

	/**
	 * @param billing_state
	 *            the billing_state to set
	 */
	public void setBilling_state(String billing_state) {
		this.billing_state = billing_state;
	}

	/**
	 * @return the delivery_address1
	 */
	public String getDelivery_address1() {
		return delivery_address1;
	}

	/**
	 * @param delivery_address1
	 *            the delivery_address1 to set
	 */
	public void setDelivery_address1(String delivery_address1) {
		this.delivery_address1 = delivery_address1;
	}

	/**
	 * @return the delivery_address2
	 */
	public String getDelivery_address2() {
		return delivery_address2;
	}

	/**
	 * @param delivery_address2
	 *            the delivery_address2 to set
	 */
	public void setDelivery_address2(String delivery_address2) {
		this.delivery_address2 = delivery_address2;
	}

	/**
	 * @return the delivery_city
	 */
	public String getDelivery_city() {
		return delivery_city;
	}

	/**
	 * @param delivery_city
	 *            the delivery_city to set
	 */
	public void setDelivery_city(String delivery_city) {
		this.delivery_city = delivery_city;
	}

	/**
	 * @return the delivery_country
	 */
	public String getDelivery_country() {
		return delivery_country;
	}

	/**
	 * @param delivery_country
	 *            the delivery_country to set
	 */
	public void setDelivery_country(String delivery_country) {
		this.delivery_country = delivery_country;
	}

	/**
	 * @return the delivery_email1
	 */
	public String getDelivery_email1() {
		return delivery_email1;
	}

	/**
	 * @param delivery_email1
	 *            the delivery_email1 to set
	 */
	public void setDelivery_email1(String delivery_email1) {
		this.delivery_email1 = delivery_email1;
	}

	/**
	 * @return the delivery_email2
	 */
	public String getDelivery_email2() {
		return delivery_email2;
	}

	/**
	 * @param delivery_email2
	 *            the delivery_email2 to set
	 */
	public void setDelivery_email2(String delivery_email2) {
		this.delivery_email2 = delivery_email2;
	}

	/**
	 * @return the delivery_firstName
	 */
	public String getDelivery_firstName() {
		return delivery_firstName;
	}

	/**
	 * @param delivery_firstName
	 *            the delivery_firstName to set
	 */
	public void setDelivery_firstName(String delivery_firstName) {
		this.delivery_firstName = delivery_firstName;
	}

	/**
	 * @return the delivery_lastName
	 */
	public String getDelivery_lastName() {
		return delivery_lastName;
	}

	/**
	 * @param delivery_lastName
	 *            the delivery_lastName to set
	 */
	public void setDelivery_lastName(String delivery_lastName) {
		this.delivery_lastName = delivery_lastName;
	}

	/**
	 * @return the delivery_organization
	 */
	public String getDelivery_organization() {
		return delivery_organization;
	}

	/**
	 * @param delivery_organization
	 *            the delivery_organization to set
	 */
	public void setDelivery_organization(String delivery_organization) {
		this.delivery_organization = delivery_organization;
	}

	/**
	 * @return the delivery_phone1
	 */
	public String getDelivery_phone1() {
		return delivery_phone1;
	}

	/**
	 * @param delivery_phone1
	 *            the delivery_phone1 to set
	 */
	public void setDelivery_phone1(String delivery_phone1) {
		this.delivery_phone1 = delivery_phone1;
	}

	/**
	 * @return the delivery_phone2
	 */
	public String getDelivery_phone2() {
		return delivery_phone2;
	}

	/**
	 * @param delivery_phone2
	 *            the delivery_phone2 to set
	 */
	public void setDelivery_phone2(String delivery_phone2) {
		this.delivery_phone2 = delivery_phone2;
	}

	/**
	 * @return the delivery_postalCode
	 */
	public String getDelivery_postalCode() {
		return delivery_postalCode;
	}

	/**
	 * @param delivery_postalCode
	 *            the delivery_postalCode to set
	 */
	public void setDelivery_postalCode(String delivery_postalCode) {
		this.delivery_postalCode = delivery_postalCode;
	}

	/**
	 * @return the delivery_state
	 */
	public String getDelivery_state() {
		return delivery_state;
	}

	/**
	 * @param delivery_state
	 *            the delivery_state to set
	 */
	public void setDelivery_state(String delivery_state) {
		this.delivery_state = delivery_state;
	}

	/**
	 * @return the discount_ceiling
	 */
	public String getDiscount_ceiling() {
		return discount_ceiling;
	}

	/**
	 * @param discount_ceiling
	 *            the discount_ceiling to set
	 */
	public void setDiscount_ceiling(String discount_ceiling) {
		this.discount_ceiling = discount_ceiling;
	}

	/**
	 * @return the discount_code
	 */
	public String getDiscount_code() {
		return discount_code;
	}

	/**
	 * @param discount_code
	 *            the discount_code to set
	 */
	public void setDiscount_code(String discount_code) {
		this.discount_code = discount_code;
	}

	/**
	 * @return the discount_couponCode
	 */
	public String getDiscount_couponCode() {
		return discount_couponCode;
	}

	/**
	 * @param discount_couponCode
	 *            the discount_couponCode to set
	 */
	public void setDiscount_couponCode(String discount_couponCode) {
		this.discount_couponCode = discount_couponCode;
	}

	/**
	 * @return the discount_extra1
	 */
	public String getDiscount_extra1() {
		return discount_extra1;
	}

	/**
	 * @param discount_extra1
	 *            the discount_extra1 to set
	 */
	public void setDiscount_extra1(String discount_extra1) {
		this.discount_extra1 = discount_extra1;
	}

	/**
	 * @return the discount_extra2
	 */
	public String getDiscount_extra2() {
		return discount_extra2;
	}

	/**
	 * @param discount_extra2
	 *            the discount_extra2 to set
	 */
	public void setDiscount_extra2(String discount_extra2) {
		this.discount_extra2 = discount_extra2;
	}

	/**
	 * @return the discount_extra3
	 */
	public String getDiscount_extra3() {
		return discount_extra3;
	}

	/**
	 * @param discount_extra3
	 *            the discount_extra3 to set
	 */
	public void setDiscount_extra3(String discount_extra3) {
		this.discount_extra3 = discount_extra3;
	}

	/**
	 * @return the discount_floor
	 */
	public String getDiscount_floor() {
		return discount_floor;
	}

	/**
	 * @param discount_floor
	 *            the discount_floor to set
	 */
	public void setDiscount_floor(String discount_floor) {
		this.discount_floor = discount_floor;
	}

	/**
	 * @return the discount_itemsAppliesType
	 */
	public String getDiscount_itemsAppliesType() {
		return discount_itemsAppliesType;
	}

	/**
	 * @param discount_itemsAppliesType
	 *            the discount_itemsAppliesType to set
	 */
	public void setDiscount_itemsAppliesType(String discount_itemsAppliesType) {
		this.discount_itemsAppliesType = discount_itemsAppliesType;
	}

	/**
	 * @return the discount_itemsAppliesValue
	 */
	public String getDiscount_itemsAppliesValue() {
		return discount_itemsAppliesValue;
	}

	/**
	 * @param discount_itemsAppliesValue
	 *            the discount_itemsAppliesValue to set
	 */
	public void setDiscount_itemsAppliesValue(String discount_itemsAppliesValue) {
		this.discount_itemsAppliesValue = discount_itemsAppliesValue;
	}

	/**
	 * @return the discount_name
	 */
	public String getDiscount_name() {
		return discount_name;
	}

	/**
	 * @param discount_name
	 *            the discount_name to set
	 */
	public void setDiscount_name(String discount_name) {
		this.discount_name = discount_name;
	}

	/**
	 * @return the discount_reward
	 */
	public String getDiscount_reward() {
		return discount_reward;
	}

	/**
	 * @param discount_reward
	 *            the discount_reward to set
	 */
	public void setDiscount_reward(String discount_reward) {
		this.discount_reward = discount_reward;
	}

	/**
	 * @return the discount_rewardType
	 */
	public String getDiscount_rewardType() {
		return discount_rewardType;
	}

	/**
	 * @param discount_rewardType
	 *            the discount_rewardType to set
	 */
	public void setDiscount_rewardType(String discount_rewardType) {
		this.discount_rewardType = discount_rewardType;
	}

	/**
	 * @return the discount_total
	 */
	public String getDiscount_total() {
		return discount_total;
	}

	/**
	 * @param discount_total
	 *            the discount_total to set
	 */
	public void setDiscount_total(String discount_total) {
		this.discount_total = discount_total;
	}

	/**
	 * @return the discount_usersAppliesType
	 */
	public String getDiscount_usersAppliesType() {
		return discount_usersAppliesType;
	}

	/**
	 * @param discount_usersAppliesType
	 *            the discount_usersAppliesType to set
	 */
	public void setDiscount_usersAppliesType(String discount_usersAppliesType) {
		this.discount_usersAppliesType = discount_usersAppliesType;
	}

	/**
	 * @return the discount_usersAppliesValue
	 */
	public String getDiscount_usersAppliesValue() {
		return discount_usersAppliesValue;
	}

	/**
	 * @param discount_usersAppliesValue
	 *            the discount_usersAppliesValue to set
	 */
	public void setDiscount_usersAppliesValue(String discount_usersAppliesValue) {
		this.discount_usersAppliesValue = discount_usersAppliesValue;
	}

	/**
	 * @return the option_altPrice
	 */
	public String getOption_altPrice() {
		return option_altPrice;
	}

	/**
	 * @param option_altPrice
	 *            the option_altPrice to set
	 */
	public void setOption_altPrice(String option_altPrice) {
		this.option_altPrice = option_altPrice;
	}

	/**
	 * @return the option_code
	 */
	public String getOption_code() {
		return option_code;
	}

	/**
	 * @param option_code
	 *            the option_code to set
	 */
	public void setOption_code(String option_code) {
		this.option_code = option_code;
	}

	/**
	 * @return the option_name
	 */
	public String getOption_name() {
		return option_name;
	}

	/**
	 * @param option_name
	 *            the option_name to set
	 */
	public void setOption_name(String option_name) {
		this.option_name = option_name;
	}

	/**
	 * @return the option_unitCost
	 */
	public String getOption_unitCost() {
		return option_unitCost;
	}

	/**
	 * @param option_unitCost
	 *            the option_unitCost to set
	 */
	public void setOption_unitCost(String option_unitCost) {
		this.option_unitCost = option_unitCost;
	}

	/**
	 * @return the option_unitPrice
	 */
	public String getOption_unitPrice() {
		return option_unitPrice;
	}

	/**
	 * @param option_unitPrice
	 *            the option_unitPrice to set
	 */
	public void setOption_unitPrice(String option_unitPrice) {
		this.option_unitPrice = option_unitPrice;
	}

	/**
	 * @return the option_weight
	 */
	public String getOption_weight() {
		return option_weight;
	}

	/**
	 * @param option_weight
	 *            the option_weight to set
	 */
	public void setOption_weight(String option_weight) {
		this.option_weight = option_weight;
	}

	/**
	 * @return the order_completed
	 */
	public String getOrder_completed() {
		return order_completed;
	}

	/**
	 * @param order_completed
	 *            the order_completed to set
	 */
	public void setOrder_completed(String order_completed) {
		this.order_completed = order_completed;
	}

	/**
	 * @return the order_created
	 */
	public String getOrder_created() {
		return order_created;
	}

	/**
	 * @param order_created
	 *            the order_created to set
	 */
	public void setOrder_created(String order_created) {
		this.order_created = order_created;
	}

	/**
	 * @return the order_customerID
	 */
	public String getOrder_customerID() {
		return order_customerID;
	}

	/**
	 * @param order_customerID
	 *            the order_customerID to set
	 */
	public void setOrder_customerID(String order_customerID) {
		this.order_customerID = order_customerID;
	}

	/**
	 * @return the order_extra1
	 */
	public String getOrder_extra1() {
		return order_extra1;
	}

	/**
	 * @param order_extra1
	 *            the order_extra1 to set
	 */
	public void setOrder_extra1(String order_extra1) {
		this.order_extra1 = order_extra1;
	}

	/**
	 * @return the order_extra2
	 */
	public String getOrder_extra2() {
		return order_extra2;
	}

	/**
	 * @param order_extra2
	 *            the order_extra2 to set
	 */
	public void setOrder_extra2(String order_extra2) {
		this.order_extra2 = order_extra2;
	}

	/**
	 * @return the order_extra3
	 */
	public String getOrder_extra3() {
		return order_extra3;
	}

	/**
	 * @param order_extra3
	 *            the order_extra3 to set
	 */
	public void setOrder_extra3(String order_extra3) {
		this.order_extra3 = order_extra3;
	}

	/**
	 * @return the order_extra4
	 */
	public String getOrder_extra4() {
		return order_extra4;
	}

	/**
	 * @param order_extra4
	 *            the order_extra4 to set
	 */
	public void setOrder_extra4(String order_extra4) {
		this.order_extra4 = order_extra4;
	}

	/**
	 * @return the order_extra5
	 */
	public String getOrder_extra5() {
		return order_extra5;
	}

	/**
	 * @param order_extra5
	 *            the order_extra5 to set
	 */
	public void setOrder_extra5(String order_extra5) {
		this.order_extra5 = order_extra5;
	}

	/**
	 * @return the order_lastModified
	 */
	public String getOrder_lastModified() {
		return order_lastModified;
	}

	/**
	 * @param order_lastModified
	 *            the order_lastModified to set
	 */
	public void setOrder_lastModified(String order_lastModified) {
		this.order_lastModified = order_lastModified;
	}

	/**
	 * @return the order_notes
	 */
	public String getOrder_notes() {
		return order_notes;
	}

	/**
	 * @param order_notes
	 *            the order_notes to set
	 */
	public void setOrder_notes(String order_notes) {
		this.order_notes = order_notes;
	}

	/**
	 * @return the order_number
	 */
	public String getOrder_number() {
		return order_number;
	}

	/**
	 * @param order_number
	 *            the order_number to set
	 */
	public void setOrder_number(String order_number) {
		this.order_number = order_number;
	}

	/**
	 * @return the order_quantity
	 */
	public String getOrder_quantity() {
		return order_quantity;
	}

	/**
	 * @param order_quantity
	 *            the order_quantity to set
	 */
	public void setOrder_quantity(String order_quantity) {
		this.order_quantity = order_quantity;
	}

	/**
	 * @return the order_shipping
	 */
	public String getOrder_shipping() {
		return order_shipping;
	}

	/**
	 * @param order_shipping
	 *            the order_shipping to set
	 */
	public void setOrder_shipping(String order_shipping) {
		this.order_shipping = order_shipping;
	}

	/**
	 * @return the order_status
	 */
	public String getOrder_status() {
		return order_status;
	}

	/**
	 * @param order_status
	 *            the order_status to set
	 */
	public void setOrder_status(String order_status) {
		this.order_status = order_status;
	}

	/**
	 * @return the order_statusDetails
	 */
	public String getOrder_statusDetails() {
		return order_statusDetails;
	}

	/**
	 * @param order_statusDetails
	 *            the order_statusDetails to set
	 */
	public void setOrder_statusDetails(String order_statusDetails) {
		this.order_statusDetails = order_statusDetails;
	}

	/**
	 * @return the order_subtotal
	 */
	public String getOrder_subtotal() {
		return order_subtotal;
	}

	/**
	 * @param order_subtotal
	 *            the order_subtotal to set
	 */
	public void setOrder_subtotal(String order_subtotal) {
		this.order_subtotal = order_subtotal;
	}

	/**
	 * @return the order_tax
	 */
	public String getOrder_tax() {
		return order_tax;
	}

	/**
	 * @param order_tax
	 *            the order_tax to set
	 */
	public void setOrder_tax(String order_tax) {
		this.order_tax = order_tax;
	}

	/**
	 * @return the order_taxableSubtotal
	 */
	public String getOrder_taxableSubtotal() {
		return order_taxableSubtotal;
	}

	/**
	 * @param order_taxableSubtotal
	 *            the order_taxableSubtotal to set
	 */
	public void setOrder_taxableSubtotal(String order_taxableSubtotal) {
		this.order_taxableSubtotal = order_taxableSubtotal;
	}

	/**
	 * @return the order_total
	 */
	public String getOrder_total() {
		return order_total;
	}

	/**
	 * @param order_total
	 *            the order_total to set
	 */
	public void setOrder_total(String order_total) {
		this.order_total = order_total;
	}

	/**
	 * @return the order_trackingNumber
	 */
	public String getOrder_trackingNumber() {
		return order_trackingNumber;
	}

	/**
	 * @param order_trackingNumber
	 *            the order_trackingNumber to set
	 */
	public void setOrder_trackingNumber(String order_trackingNumber) {
		this.order_trackingNumber = order_trackingNumber;
	}

	/**
	 * @return the order_userName
	 */
	public String getOrder_userName() {
		return order_userName;
	}

	/**
	 * @param order_userName
	 *            the order_userName to set
	 */
	public void setOrder_userName(String order_userName) {
		this.order_userName = order_userName;
	}

	/**
	 * @return the order_weight
	 */
	public String getOrder_weight() {
		return order_weight;
	}

	/**
	 * @param order_weight
	 *            the order_weight to set
	 */
	public void setOrder_weight(String order_weight) {
		this.order_weight = order_weight;
	}

	/**
	 * @return the orderItem_altPrice
	 */
	public String getOrderItem_altPrice() {
		return orderItem_altPrice;
	}

	/**
	 * @param orderItem_altPrice
	 *            the orderItem_altPrice to set
	 */
	public void setOrderItem_altPrice(String orderItem_altPrice) {
		this.orderItem_altPrice = orderItem_altPrice;
	}

	/**
	 * @return the orderItem_code
	 */
	public String getOrderItem_code() {
		return orderItem_code;
	}

	/**
	 * @param orderItem_code
	 *            the orderItem_code to set
	 */
	public void setOrderItem_code(String orderItem_code) {
		this.orderItem_code = orderItem_code;
	}

	/**
	 * @return the orderItem_decrementedSKUs
	 */
	public String getOrderItem_decrementedSKUs() {
		return orderItem_decrementedSKUs;
	}

	/**
	 * @param orderItem_decrementedSKUs
	 *            the orderItem_decrementedSKUs to set
	 */
	public void setOrderItem_decrementedSKUs(String orderItem_decrementedSKUs) {
		this.orderItem_decrementedSKUs = orderItem_decrementedSKUs;
	}

	/**
	 * @return the orderItem_extra1
	 */
	public String getOrderItem_extra1() {
		return orderItem_extra1;
	}

	/**
	 * @param orderItem_extra1
	 *            the orderItem_extra1 to set
	 */
	public void setOrderItem_extra1(String orderItem_extra1) {
		this.orderItem_extra1 = orderItem_extra1;
	}

	/**
	 * @return the orderItem_extra2
	 */
	public String getOrderItem_extra2() {
		return orderItem_extra2;
	}

	/**
	 * @param orderItem_extra2
	 *            the orderItem_extra2 to set
	 */
	public void setOrderItem_extra2(String orderItem_extra2) {
		this.orderItem_extra2 = orderItem_extra2;
	}

	/**
	 * @return the orderItem_extra3
	 */
	public String getOrderItem_extra3() {
		return orderItem_extra3;
	}

	/**
	 * @param orderItem_extra3
	 *            the orderItem_extra3 to set
	 */
	public void setOrderItem_extra3(String orderItem_extra3) {
		this.orderItem_extra3 = orderItem_extra3;
	}

	/**
	 * @return the orderItem_extra4
	 */
	public String getOrderItem_extra4() {
		return orderItem_extra4;
	}

	/**
	 * @param orderItem_extra4
	 *            the orderItem_extra4 to set
	 */
	public void setOrderItem_extra4(String orderItem_extra4) {
		this.orderItem_extra4 = orderItem_extra4;
	}

	/**
	 * @return the orderItem_extra5
	 */
	public String getOrderItem_extra5() {
		return orderItem_extra5;
	}

	/**
	 * @param orderItem_extra5
	 *            the orderItem_extra5 to set
	 */
	public void setOrderItem_extra5(String orderItem_extra5) {
		this.orderItem_extra5 = orderItem_extra5;
	}

	/**
	 * @return the orderItem_isTaxed
	 */
	public String getOrderItem_isTaxed() {
		return orderItem_isTaxed;
	}

	/**
	 * @param orderItem_isTaxed
	 *            the orderItem_isTaxed to set
	 */
	public void setOrderItem_isTaxed(String orderItem_isTaxed) {
		this.orderItem_isTaxed = orderItem_isTaxed;
	}

	/**
	 * @return the orderItem_name
	 */
	public String getOrderItem_name() {
		return orderItem_name;
	}

	/**
	 * @param orderItem_name
	 *            the orderItem_name to set
	 */
	public void setOrderItem_name(String orderItem_name) {
		this.orderItem_name = orderItem_name;
	}

	/**
	 * @return the orderItem_productWeight
	 */
	public String getOrderItem_productWeight() {
		return orderItem_productWeight;
	}

	/**
	 * @param orderItem_productWeight
	 *            the orderItem_productWeight to set
	 */
	public void setOrderItem_productWeight(String orderItem_productWeight) {
		this.orderItem_productWeight = orderItem_productWeight;
	}

	/**
	 * @return the orderItem_quantity
	 */
	public String getOrderItem_quantity() {
		return orderItem_quantity;
	}

	/**
	 * @param orderItem_quantity
	 *            the orderItem_quantity to set
	 */
	public void setOrderItem_quantity(String orderItem_quantity) {
		this.orderItem_quantity = orderItem_quantity;
	}

	/**
	 * @return the orderItem_shortDescription
	 */
	public String getOrderItem_shortDescription() {
		return orderItem_shortDescription;
	}

	/**
	 * @param orderItem_shortDescription
	 *            the orderItem_shortDescription to set
	 */
	public void setOrderItem_shortDescription(String orderItem_shortDescription) {
		this.orderItem_shortDescription = orderItem_shortDescription;
	}

	/**
	 * @return the orderItem_total
	 */
	public String getOrderItem_total() {
		return orderItem_total;
	}

	/**
	 * @param orderItem_total
	 *            the orderItem_total to set
	 */
	public void setOrderItem_total(String orderItem_total) {
		this.orderItem_total = orderItem_total;
	}

	/**
	 * @return the orderItem_unitCost
	 */
	public String getOrderItem_unitCost() {
		return orderItem_unitCost;
	}

	/**
	 * @param orderItem_unitCost
	 *            the orderItem_unitCost to set
	 */
	public void setOrderItem_unitCost(String orderItem_unitCost) {
		this.orderItem_unitCost = orderItem_unitCost;
	}

	/**
	 * @return the orderItem_unitPrice
	 */
	public String getOrderItem_unitPrice() {
		return orderItem_unitPrice;
	}

	/**
	 * @param orderItem_unitPrice
	 *            the orderItem_unitPrice to set
	 */
	public void setOrderItem_unitPrice(String orderItem_unitPrice) {
		this.orderItem_unitPrice = orderItem_unitPrice;
	}

	/**
	 * @return the orderItem_weight
	 */
	public String getOrderItem_weight() {
		return orderItem_weight;
	}

	/**
	 * @param orderItem_weight
	 *            the orderItem_weight to set
	 */
	public void setOrderItem_weight(String orderItem_weight) {
		this.orderItem_weight = orderItem_weight;
	}

	/**
	 * @return the payment_creditCardDate
	 */
	public String getPayment_creditCardDate() {
		return payment_creditCardDate;
	}

	/**
	 * @param payment_creditCardDate
	 *            the payment_creditCardDate to set
	 */
	public void setPayment_creditCardDate(String payment_creditCardDate) {
		this.payment_creditCardDate = payment_creditCardDate;
	}

	/**
	 * @return the payment_creditCardName
	 */
	public String getPayment_creditCardName() {
		return payment_creditCardName;
	}

	/**
	 * @param payment_creditCardName
	 *            the payment_creditCardName to set
	 */
	public void setPayment_creditCardName(String payment_creditCardName) {
		this.payment_creditCardName = payment_creditCardName;
	}

	/**
	 * @return the payment_creditCardNumber
	 */
	public String getPayment_creditCardNumber() {
		return payment_creditCardNumber;
	}

	/**
	 * @param payment_creditCardNumber
	 *            the payment_creditCardNumber to set
	 */
	public void setPayment_creditCardNumber(String payment_creditCardNumber) {
		this.payment_creditCardNumber = payment_creditCardNumber;
	}

	/**
	 * @return the payment_creditCardNumberDisplay
	 */
	public String getPayment_creditCardNumberDisplay() {
		return payment_creditCardNumberDisplay;
	}

	/**
	 * @param payment_creditCardNumberDisplay
	 *            the payment_creditCardNumberDisplay to set
	 */
	public void setPayment_creditCardNumberDisplay(
			String payment_creditCardNumberDisplay) {
		this.payment_creditCardNumberDisplay = payment_creditCardNumberDisplay;
	}

	/**
	 * @return the payment_creditCardType
	 */
	public String getPayment_creditCardType() {
		return payment_creditCardType;
	}

	/**
	 * @param payment_creditCardType
	 *            the payment_creditCardType to set
	 */
	public void setPayment_creditCardType(String payment_creditCardType) {
		this.payment_creditCardType = payment_creditCardType;
	}

	/**
	 * @return the payment_id
	 */
	public String getPayment_id() {
		return payment_id;
	}

	/**
	 * @param payment_id
	 *            the payment_id to set
	 */
	public void setPayment_id(String payment_id) {
		this.payment_id = payment_id;
	}

	/**
	 * @return the payment_paymentstatus
	 */
	public String getPayment_status() {
		return payment_status;
	}

	/**
	 * @param payment_paymentstatus
	 *            the payment_paymentstatus to set
	 */
	public void setPayment_status(String payment_paymentstatus) {
		this.payment_status = payment_paymentstatus;
	}

	/**
	 * @return the payment_value1
	 */
	public String getPayment_value1() {
		return payment_value1;
	}

	/**
	 * @param payment_value1
	 *            the payment_value1 to set
	 */
	public void setPayment_value1(String payment_value1) {
		this.payment_value1 = payment_value1;
	}

	/**
	 * @return the payment_value2
	 */
	public String getPayment_value2() {
		return payment_value2;
	}

	/**
	 * @param payment_value2
	 *            the payment_value2 to set
	 */
	public void setPayment_value2(String payment_value2) {
		this.payment_value2 = payment_value2;
	}

	/**
	 * @return the payment_value3
	 */
	public String getPayment_value3() {
		return payment_value3;
	}

	/**
	 * @param payment_value3
	 *            the payment_value3 to set
	 */
	public void setPayment_value3(String payment_value3) {
		this.payment_value3 = payment_value3;
	}

	/**
	 * @return the payment_value4
	 */
	public String getPayment_value4() {
		return payment_value4;
	}

	/**
	 * @param payment_value4
	 *            the payment_value4 to set
	 */
	public void setPayment_value4(String payment_value4) {
		this.payment_value4 = payment_value4;
	}

	/**
	 * @return the payment_value5
	 */
	public String getPayment_value5() {
		return payment_value5;
	}

	/**
	 * @param payment_value5
	 *            the payment_value5 to set
	 */
	public void setPayment_value5(String payment_value5) {
		this.payment_value5 = payment_value5;
	}

	/**
	 * @return the payment_value6
	 */
	public String getPayment_value6() {
		return payment_value6;
	}

	/**
	 * @param payment_value6
	 *            the payment_value6 to set
	 */
	public void setPayment_value6(String payment_value6) {
		this.payment_value6 = payment_value6;
	}

	/**
	 * @return the payment_value7
	 */
	public String getPayment_value7() {
		return payment_value7;
	}

	/**
	 * @param payment_value7
	 *            the payment_value7 to set
	 */
	public void setPayment_value7(String payment_value7) {
		this.payment_value7 = payment_value7;
	}

	/**
	 * @return the payment_value8
	 */
	public String getPayment_value8() {
		return payment_value8;
	}

	/**
	 * @param payment_value8
	 *            the payment_value8 to set
	 */
	public void setPayment_value8(String payment_value8) {
		this.payment_value8 = payment_value8;
	}

	/**
	 * @return the payment_value9
	 */
	public String getPayment_value9() {
		return payment_value9;
	}

	/**
	 * @param payment_value9
	 *            the payment_value9 to set
	 */
	public void setPayment_value9(String payment_value9) {
		this.payment_value9 = payment_value9;
	}

	/**
	 * @return the payment_paymentProfileID
	 */
	public String getPayment_paymentProfileID() {
		return payment_paymentProfileID;
	}

	/**
	 * @param payment_paymentProfileID
	 *            the payment_paymentProfileID to set
	 */
	public void setPayment_paymentProfileID(String payment_paymentProfileID) {
		this.payment_paymentProfileID = payment_paymentProfileID;
	}

	/**
	 * @return the payment_valueFieldLabels
	 */
	public String getPayment_valueFieldLabels() {
		return payment_valueFieldLabels;
	}

	/**
	 * @param payment_valueFieldLabels
	 *            the payment_valueFieldLabels to set
	 */
	public void setPayment_valueFieldLabels(String payment_valueFieldLabels) {
		this.payment_valueFieldLabels = payment_valueFieldLabels;
	}

	/**
	 * @return the order_id
	 */
	public String getOrder_id() {
		return order_id;
	}

	/**
	 * @param order_id
	 *            the order_id to set
	 */
	public void setOrder_id(String order_id) {
		this.order_id = order_id;
	}

	/**
	 * @return the delivery_statusDetails
	 */
	public String getDelivery_statusDetails() {
	    return delivery_statusDetails;
	}

	/**
	 * @param delivery_statusDetails 
	 *             the delivery_statusDetails to set
	 */
	public void setDelivery_statusDetails(String delivery_statusDetails) {
	    this.delivery_statusDetails = delivery_statusDetails;
	}

}
