package com.softslate.commerce.daos.email;

import com.softslate.commerce.businessobjects.email.Template;
import com.softslate.commerce.daos.core.DAOInterface;

public interface TemplateDAO extends DAOInterface {
	abstract Template getTemplate();

	abstract void setTemplate(Template template);

	abstract void loadTemplateFromID() throws Exception;

	abstract void insertTemplate() throws Exception;

	abstract void insertTemplate(boolean commit) throws Exception;

	abstract void updateTemplate() throws Exception;

	abstract void updateTemplate(boolean commit) throws Exception;

	abstract void deleteTemplate() throws Exception;

	abstract void deleteTemplate(boolean commit) throws Exception;
}
