package com.softslate.commerce.daos.shipping;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;

/**
 * Generic DAO that runs miscellaneous queries related to shipping rule ranges.
 * 
 * @author Jason McWilliams
 */
public class ShippingRuleRangeGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate implements
		ShippingRuleRangeGatewayDAO {

	static Log log = LogFactory.getLog(ShippingRuleRangeGatewayDAOHibernate.class);

	public Map loadShippingRuleRangesAndCount(Map parameters) throws Exception {
		return loadItemsAndCount(parameters);
	}

	public Map editDeleteShippingRuleRanges(Map parameters, BusinessObjectFactory bof) throws Exception {
		Map result = editDeleteItems(parameters, bof);
		evictCache();
		return result;
	}

}
