<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start countryEditForm.jsp -->
<html:form action="/CountryEdit" method="post">
	<html:hidden name="countryAddEditForm" property="countryID" />
	<table class="addEditTable settingsTable">
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="countryDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/CountryDelete.do" method="post">
		<input type="hidden" name="countryID" value="<bean:write name="countryAddEditForm" property="countryID" />" />
		<input type="hidden" name="code" value="<bean:write name="countryAddEditForm" property="code" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<!-- End countryEditForm.jsp -->
