<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="isAddOrEdit" value="edit" scope="request" />

<!-- Start shippingRuleEditForm.jsp -->
<html:form action="/ShippingRuleEdit" method="post">
	<html:hidden name="shippingRuleAddEditForm" property="shippingRuleID" />
	<table class="addEditTable settingsTable">
		<tr>
			<td class="genericLabel">
				Shipping Rule ID:
			</td>
			<td>
				<bean:write name="shippingRuleAddEditForm" property="shippingRuleID" />
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="shippingRuleDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/ShippingRuleDelete.do" method="post">
		<input type="hidden" name="shippingRuleID" value="<bean:write name="shippingRuleAddEditForm" property="shippingRuleID" />" />
		<input type="hidden" name="skuID" value="<bean:write name="shippingRuleAddEditForm" property="skuID" />" />
		<input type="hidden" name="code" value="<bean:write name="shippingRuleAddEditForm" property="code" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<!-- End shippingRuleEditForm.jsp -->
