<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.Product" %><%@ page import="com.softslate.commerce.businessobjects.customer.CustomerWishList" %><%@ page import="org.apache.commons.lang3.StringEscapeUtils" %><%@ page import="org.apache.commons.lang.StringUtils" %>
<c:if test="${!empty customerWishList}">
	"customerWishListID": <c:out value="${customerWishList.customerWishListID}"/>,
	"name": <c:set var="value" value="${customerWishList.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"description": <c:set var="value" value="${customerWishList.description}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	<c:if test="${!empty customerWishList.customerWishListProducts}">
		"customerWishListProducts":[
			<c:set var="itemDelim" value=""/>
			<c:forEach items="${customerWishList.customerWishListProducts}" var="cwlp">
				<c:out value="${itemDelim}"/>
				<c:set var="itemDelim" value=", "/>
				{
					"customerWishListProductID": ${cwlp.customerWishListProductID},
					<c:set var="product" scope="request" value="${cwlp.product}"/>
					"product": {	
						"code": <c:set var="value" value="${product.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"name": <c:set var="value" value="${product.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"seoCode": <c:set var="value" value="${product.seoCode}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"primaryCategory": {
						<c:if test="${!empty product.primaryCategory}">
							"code": <c:set var="value" value="${product.primaryCategory.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
							"name": <c:set var="value" value="${product.primaryCategory.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
							"isContentPage": <c:choose><c:when test="${!empty product.primaryCategory.isContentPage}">${product.primaryCategory.isContentPage}</c:when><c:otherwise>null</c:otherwise></c:choose>,
							"isActive": <c:choose><c:when test="${!empty product.primaryCategory.isActive}">${product.primaryCategory.isActive}</c:when><c:otherwise>null</c:otherwise></c:choose>
						</c:if>
						},
						"manufacturer": {
						<c:if test="${!empty product.manufacturer}">
							"code": <c:set var="value" value="${product.manufacturer.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
							"name": <c:set var="value" value="${product.manufacturer.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
							"isActive": <c:choose><c:when test="${!empty product.manufacturer.isActive}">${product.manufacturer.isActive}</c:when><c:otherwise>null</c:otherwise></c:choose>
						</c:if>
						},
						"description": <c:set var="value" value="${product.description}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"shortDecription": <c:set var="value" value="${product.shortDescription}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"productOrder": <c:choose><c:when test="${!empty product.productOrder}">${product.productOrder}</c:when><c:otherwise>null</c:otherwise></c:choose>,
						"unitPrice": ${product.unitPrice},
						"header": <c:set var="value" value="${product.header}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"footer": <c:set var="value" value="${product.footer}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"smallImage": <c:set var="value" value="${product.smallImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"mediumImage": <c:set var="value" value="${product.mediumImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"largeImage": <c:set var="value" value="${product.largeImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"isActive": ${product.isActive}
					}
				}
			</c:forEach>
		],
	</c:if>
	"created": <c:set var="value" value="${customerWishList.created}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"lastUpdated": <c:set var="value" value="${customerWishList.lastUpdated}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>"
</c:if>
