<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.Product" %><%@ page import="org.apache.commons.lang3.StringEscapeUtils" %><%@ page import="org.apache.commons.lang.StringUtils" %>
<c:if test="${!empty product}">
	"code": <c:set var="value" value="${product.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"name": <c:set var="value" value="${product.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"seoCode": <c:set var="value" value="${product.seoCode}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"primaryCategory": {
	<c:if test="${!empty product.primaryCategory}">
		"code": <c:set var="value" value="${product.primaryCategory.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
		"name": <c:set var="value" value="${product.primaryCategory.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
		"isContentPage": <c:choose><c:when test="${!empty product.primaryCategory.isContentPage}">${product.primaryCategory.isContentPage}</c:when><c:otherwise>null</c:otherwise></c:choose>,
		"isActive": <c:choose><c:when test="${!empty product.primaryCategory.isActive}">${product.primaryCategory.isActive}</c:when><c:otherwise>null</c:otherwise></c:choose>
	</c:if>
	},
	"manufacturer": {
	<c:if test="${!empty product.manufacturer}">
		"code": <c:set var="value" value="${product.manufacturer.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
		"name": <c:set var="value" value="${product.manufacturer.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
		"isActive": <c:choose><c:when test="${!empty product.manufacturer.isActive}">${product.manufacturer.isActive}</c:when><c:otherwise>null</c:otherwise></c:choose>
	</c:if>
	},
	"description": <c:set var="value" value="${product.description}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"shortDecription": <c:set var="value" value="${product.shortDescription}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"productOrder": <c:choose><c:when test="${!empty product.productOrder}">${product.productOrder}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	"unitPrice": ${product.unitPrice},
	"header": <c:set var="value" value="${product.header}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"footer": <c:set var="value" value="${product.footer}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"smallImage": <c:set var="value" value="${product.smallImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"mediumImage": <c:set var="value" value="${product.mediumImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"largeImage": <c:set var="value" value="${product.largeImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"isActive": ${product.isActive},

	<%-- Fields that are commented out by default for security. --%>
	<%-- , "productID": ${product.productID} --%>
	<%-- , "primaryCategoryID": ${product.primaryCategoryID} --%>
	<%-- , "isTaxed": ${product.isTaxed} --%>
	<%-- , "altPrice": ${product.altPrice} --%>
	<%-- , "unitCost": ${product.unitCost} --%>
	<%-- , "weight": ${product.weight} --%>
	<%-- , "keywords": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Product)pageContext.getAttribute("product")).getKeywords()))%>" --%>
	<%-- , "extra1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Product)pageContext.getAttribute("product")).getExtra1()))%>" --%>
	<%-- , "extra2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Product)pageContext.getAttribute("product")).getExtra2()))%>" --%>
	<%-- , "extra3": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Product)pageContext.getAttribute("product")).getExtra3()))%>" --%>
	<%-- , "extra4": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Product)pageContext.getAttribute("product")).getExtra4()))%>" --%>
	<%-- , "extra5": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((Product)pageContext.getAttribute("product")).getExtra5()))%>" --%>

	<%-- Product-level inventory and discounts. --%>
	<c:set var="suppressOutput"><ssc:insert page="/WEB-INF/layouts/default-html5/product/inventoryDiscountSettings.jsp" flush="false"/></c:set>
	"displayProductDiscount": <c:choose><c:when test="${!empty displayProductDiscount}">${displayProductDiscount}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	"productDiscountNumberFree": <c:choose><c:when test="${!empty productDiscountNumberFree}">${productDiscountNumberFree}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	"productDiscountAmount": <c:choose><c:when test="${!empty productDiscountAmount}">${productDiscountAmount}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	"productDiscountExpirationDate": <c:set var="value" value="${productDiscountExpirationDate}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"trackProduct": <c:choose><c:when test="${!empty trackProduct}">${trackProduct}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	"productSkuInventoryLevel": <c:choose><c:when test="${!empty product.skuMap[prodSkuKey].inventoryLevel}">${product.skuMap[prodSkuKey].inventoryLevel}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	"productSkuMessage": <c:set var="value" value="${product.skuMap[prodSkuKey].skuMessage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",

	<%-- Reviews metqdata. --%>
	"countApprovedReviews": <c:choose><c:when test="${!empty countApprovedReviews}">${countApprovedReviews}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	"wholeStars": <c:choose><c:when test="${!empty wholeStars}">${wholeStars}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	"halfStars": <c:choose><c:when test="${!empty halfStars}">${halfStars}</c:when><c:otherwise>null</c:otherwise></c:choose>,

	<%-- Additional images. --%>
	<%
	  java.util.Map settings = (java.util.Map) ((Product) pageContext.findAttribute("product")).getProductSettings();
	  java.util.ArrayList keys = new java.util.ArrayList(settings.keySet());
	  java.util.Collections.sort(keys);
	  pageContext.setAttribute("productSettings", settings);
	  pageContext.setAttribute("keys", keys);
	%>
	"additionalImages": [
	<c:set var="delim" value=""/>
	<c:forEach items="${keys}" var="thisKey">
		<c:if test="${productSettings[thisKey].type eq 'IMAGE'}">
		${delim}
		<c:set var="delim" value=","/>
		{
			"path": <c:set var="value" value="${productSettings[thisKey].description}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
			"size": <c:set var="value" value="${productSettings[thisKey].name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
			"alt": <c:set var="value" value="${productSettings[thisKey].mediumValue}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>"
		}
		</c:if>
	</c:forEach>
	],
	
	<%-- Attributes and options. --%>
	"attributesAndOptions": [
	<c:set var="delim" value=""/>
	<c:forEach items="${product.productAttributes}" var="pa">
		<c:set var="attribute" value="${pa.attribute}" scope="request"/>
		<c:if test="${attribute.attributeIsActive}">
			${delim}
			<c:set var="delim" value=","/>
			{
				"attributeIsRequired": <c:choose><c:when test="${!empty attributeIsRequired}">${attribute.attributeIsRequired}</c:when><c:otherwise>null</c:otherwise></c:choose>,
				"attributeCode": <c:set var="value" value="${attribute.attributeCode}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
				"attributeName": <c:set var="value" value="${attribute.attributeName}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
				"attributeType": <c:set var="value" value="${attribute.attributeType}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",	
				"attributeDescription": <c:set var="value" value="${attribute.attributeDescription}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",	
				"attributeUnitPrice": <c:choose><c:when test="${!empty attributeUnitPrice}">${attributeUnitPrice}</c:when><c:otherwise>null</c:otherwise></c:choose>,
				"attributeSmallImage": <c:set var="value" value="${attribute.attributeSmallImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",	
				"attributeLargeImage": <c:set var="value" value="${attribute.attributeLargeImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",	
				<c:if test="${!empty attribute.attributeOptions and !attribute.attributeOptions['empty']}">
					"options": [
						<c:set var="odelim" value=""/>
						<c:forEach items="${attribute.attributeOptions}" var="option">
							<c:if test="${option.optionIsActive}">
								${odelim}
								<c:set var="odelim" value=","/>
								{
									"optionCode": <c:set var="value" value="${option.optionCode}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
									"optionName": <c:set var="value" value="${option.optionName}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
									"optionDescription": <c:set var="value" value="${option.optionDescription}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
									"optionUnitPrice": <c:choose><c:when test="${!empty option.optionUnitPrice}">${option.optionUnitPrice}</c:when><c:otherwise>null</c:otherwise></c:choose>,
									"optionSmallImage": <c:set var="value" value="${option.optionSmallImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
									"optionLargeImage": <c:set var="value" value="${option.optionLargeImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
									"optionOrder":  <c:choose><c:when test="${!empty option.optionOrder}">${option.optionOrder}</c:when><c:otherwise>null</c:otherwise></c:choose>
								}
							</c:if>
						</c:forEach>
					],
				</c:if>
				"attributeOrder": <c:choose><c:when test="${!empty attribute.attributeOrder}">${attribute.attributeOrder}</c:when><c:otherwise>null</c:otherwise></c:choose>
			}
		</c:if>
	</c:forEach>
	],
	
	<%-- SKU discounts --%>
	"skuDiscounts": [
	<c:set var="delim" value=""/>
	<c:forEach items="${ skuDiscountsToDisplay}" var="skuAndDiscount">
		<c:set var="sku" value="${skuAndDiscount.sku}"/>
		<c:set var="discount" value="${skuAndDiscount.discount}"/>
		${delim}
		<c:set var="delim" value=","/>
		{
			"skuName": <c:set var="value" value="${sku.skuName}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
			"discountName": <c:set var="value" value="${discount.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
			"discountRewardType": <c:set var="value" value="${discount.rewardType}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
			"discountReward": <c:choose><c:when test="${!empty discount.reward}">${discount.reward}</c:when><c:otherwise>null</c:otherwise></c:choose>,
			<c:if test="${!empty discount.discountRanges and !discount.discountRanges['empty']}">
				"discountRanges": [
					<c:set var="odelim" value=""/>
					<c:forEach items="${discount.discountRanges}" var="range">
						<c:if test="${range.isActive}">
							${odelim}
							<c:set var="odelim" value=","/>
							{
								"floor": <c:choose><c:when test="${!empty range.floor}">${range.floor}</c:when><c:otherwise>null</c:otherwise></c:choose>,
								"ceiling": <c:choose><c:when test="${!empty range.ceiling}">${range.ceiling}</c:when><c:otherwise>null</c:otherwise></c:choose>,
								"reward": <c:choose><c:when test="${!empty range.reward}">${range.reward}</c:when><c:otherwise>null</c:otherwise></c:choose>
							}
						</c:if>
					</c:forEach>
				],
			</c:if>
			"discountExpirationDate": <c:set var="value" value="${discount.expirationDate}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>"
		}
	</c:forEach>
	],
						
	<%-- SKU inventory --%>
	"skuInventory": [
	<c:if test="${trackOtherSKUs}">
		<c:set var="delim" value=""/>
		<c:forEach items="${product.skus}" var="sku">
			<c:if test="${sku.trackInventory}">
				${delim}
				<c:set var="delim" value=","/>
				{
					"skuName": <c:set var="value" value="${sku.skuName}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"skuMessage": <c:set var="value" value="${sku.skuMessage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"inventoryLevel": <c:choose><c:when test="${!empty sku.inventoryLevel}">${sku.inventoryLevel}</c:when><c:otherwise>null</c:otherwise></c:choose>
				}
			</c:if>
		</c:forEach>
	</c:if>
	],
				
	<%-- Facets --%>
	<%
	  settings = (java.util.Map) ((Product) pageContext.findAttribute("product")).getProductSettings();
	  keys = new java.util.ArrayList(settings.keySet());
	  java.util.Collections.sort(keys);
	  pageContext.setAttribute("productSettings", settings);
	  pageContext.setAttribute("keys", keys);
	%>
	"facets": [
	<c:set var="delim" value=""/>
	<c:forEach items="${keys}" var="thisKey">
		<c:if test="${productSettings[thisKey].type eq 'FACET'}">
			${delim}
			<c:set var="delim" value=","/>
			{
				"name": <c:set var="value" value="${productSettings[thisKey].name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
				"value": <c:set var="value" value="${productSettings[thisKey].value}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>"
			}
		</c:if>
	</c:forEach>
	],
	
	<%-- Product reviews --%>
	"reviews": [
	<c:if test="${countApprovedReviews > 0}">
		<c:set var="delim" value=""/>
		<c:forEach items="${productReviews}" var="review">
			<c:if test="${review.status == 1}">
				${delim}
				<c:set var="delim" value=","/>
				{
					"nickname": <c:set var="value" value="${review.nickname}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"created": <c:set var="value" value="${review.created}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"rating": <c:choose><c:when test="${!empty review.rating}">${review.rating}</c:when><c:otherwise>null</c:otherwise></c:choose>,
					"review": <c:set var="value" value="${review.review}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>"
				}
			</c:if>
		</c:forEach>
	</c:if>
	],
	
	<%-- Related products --%>
	"relatedProducts": [
	<c:if test="${!empty product.relatedProducts and !product.relatedProducts['empty']}">
		<c:set var="delim" value=""/>
		<c:forEach items="${product.relatedProducts}" var="rp">
			<c:set var="relatedProduct" value="${rp.product}"/>
			<c:if test="${relatedProduct.isActive}">
				${delim}
				<c:set var="delim" value=","/>
				{
					"code": <c:set var="value" value="${relatedProduct.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"name": <c:set var="value" value="${relatedProduct.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"seoCode": <c:set var="value" value="${relatedProduct.seoCode}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"primaryCategory": {
					<c:if test="${!empty relatedProduct.primaryCategory}">
						"code": <c:set var="value" value="${relatedProduct.primaryCategory.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"name": <c:set var="value" value="${relatedProduct.primaryCategory.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"isContentPage": <c:choose><c:when test="${!empty relatedProduct.primaryCategory.isContentPage}">${relatedProduct.primaryCategory.isContentPage}</c:when><c:otherwise>null</c:otherwise></c:choose>,
						"isActive": <c:choose><c:when test="${!empty relatedProduct.primaryCategory.isActive}">${relatedProduct.primaryCategory.isActive}</c:when><c:otherwise>null</c:otherwise></c:choose>
					</c:if>
					},
					"manufacturer": {
					<c:if test="${!empty relatedProduct.manufacturer}">
						"code": <c:set var="value" value="${relatedProduct.manufacturer.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"name": <c:set var="value" value="${relatedProduct.manufacturer.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
						"isActive": <c:choose><c:when test="${!empty relatedProduct.manufacturer.isActive}">${relatedProduct.manufacturer.isActive}</c:when><c:otherwise>null</c:otherwise></c:choose>
					</c:if>
					},
					"description": <c:set var="value" value="${relatedProduct.description}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"shortDecription": <c:set var="value" value="${relatedProduct.shortDescription}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"productOrder": <c:choose><c:when test="${!empty relatedProduct.productOrder}">${relatedProduct.productOrder}</c:when><c:otherwise>null</c:otherwise></c:choose>,
					"unitPrice": <c:choose><c:when test="${!empty relatedProduct.unitPrice}">${relatedProduct.unitPrice}</c:when><c:otherwise>null</c:otherwise></c:choose>,
					"smallImage": <c:set var="value" value="${relatedProduct.smallImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"mediumImage": <c:set var="value" value="${relatedProduct.mediumImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"largeImage": <c:set var="value" value="${relatedProduct.largeImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"isActive": <c:choose><c:when test="${!empty relatedProduct.isActive}">${relatedProduct.isActive}</c:when><c:otherwise>null</c:otherwise></c:choose>
				}
			</c:if>
		</c:forEach>
	</c:if>
	],
	
	<%-- allowCustomerWishLists --%>
	"allowCustomerWishLists": ${settings.map.allowCustomerWishLists eq 1 and (empty product.productSettings.allowCustomerWishLists.value or product.productSettings.allowCustomerWishLists.value ne 0)}
</c:if>
