<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div class="col-xs-12">
	<c:if test="${!requestScope.onePageCheckoutEnabled}">
		<div class="page-header">
			<h1 class="pageTitle"><bean:message key="checkoutAddresses.headline" bundle="/order" /></h1>
		</div>
	</c:if>
	<p class="instructions"><bean:message key="checkoutAddresses.instructions" bundle="/order" /></p>
	
	<%--Checkout coupon form--%>
	<c:if test="${settings.map.applyDiscounts eq 1 && settings.map.showCouponFormAtCheckout eq 1}">
		<form action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutCoupon.do")%>" method="post">
			<ssc:insert page="/WEB-INF/layouts/default-html5/order/couponFormGuts.jsp" />
		</form>
	</c:if>
	
	<%--Checkout addresses form--%>
	<div class="row">
		<form id="addressesForm" name="addressesForm" class="centeredForm form-horizontal" method="post" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutAddresses.do")%>">
			<input type="hidden" name="submittedForm" value="checkoutAddresses" />
					
			<%--Addresses--%>
			<ssc:insert page="/WEB-INF/layouts/default-html5/order/checkoutAddressesFormGuts.jsp"/>
		
			<%--Emailer add subscriber opt-in prompt--%>
			<ssc:insert page="/WEB-INF/layouts/default/order/emailerOptInPrompt.jsp"/>

			<%--Button--%>
			<div class="clearfix"></div>
			<div class="checkoutButtonContainer text-center">
				<input type="submit" class="btn btn-primary" value="<bean:message key="checkoutAddresses.button" bundle="/order"/>" />
			</div>
		</form>
		<c:if test="${settings.map.allowAddressBook eq '1'}">
			<ssc:insert page="/WEB-INF/layouts/default/customer/addressBookFooter.jsp"/>
		</c:if>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
