<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
	<c:if test="${showShipToThisAddress}">
		<div class="radio">
			<label for="addressBookCheckoutNewContinueRadio"><bean:message key="addressBook.shipToThisAddress" bundle="/customer"/></label>
			<input type="radio" id="addressBookCheckoutNewContinueRadio" name="customerAddressID" class="addressBookDeliveryOption" value="" onclick="javascript:enableDisableDeliveryFields(true)"/ />
		</div>
	</c:if>

	<logic:match name="settings" property="value(deliveryPrompt)" value="firstName">
	<div class="form-group">
		<label for="deliveryFirstName" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="firstName"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryFirstName" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryFirstName" class="textbox form-control input-sm" name="deliveryFirstName" value="${fn:escapeXml(addressForm.deliveryFirstName)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="firstName">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="lastName">
	<div class="form-group">
		<label for="deliveryLastName" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="lastName"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryLastName" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryLastName" class="textbox form-control input-sm" name="deliveryLastName" value="${fn:escapeXml(addressForm.deliveryLastName)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="lastName">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="organization">
	<div class="form-group">
		<label for="deliveryOrganization" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="organization"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryOrganization" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryOrganization" class="textbox form-control input-sm" name="deliveryOrganization" value="${fn:escapeXml(addressForm.deliveryOrganization)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="organization">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="address1">
	<div class="form-group">
		<label for="deliveryAddress1" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="address1"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryAddress1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryAddress1" class="textbox form-control input-sm" name="deliveryAddress1" value="${fn:escapeXml(addressForm.deliveryAddress1)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="address1">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="address2">
	<div class="form-group">
		<label for="deliveryAddress2" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="address2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryAddress2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryAddress2" class="textbox form-control input-sm" name="deliveryAddress2" value="${fn:escapeXml(addressForm.deliveryAddress2)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="address2">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="city">
	<div class="form-group">
		<label for="deliveryCity" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="city"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryCity" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryCity" class="textbox form-control input-sm" name="deliveryCity" value="${fn:escapeXml(addressForm.deliveryCity)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="city">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="state">
	<div class="form-group">
		<label for="deliveryState"  class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="state"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryState" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<html:select styleId="deliveryState" name="addressForm" property="deliveryState" styleClass="selectboxWide form-control input-sm">
				<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
				<option value="">-------------</option>
				<html:options collection="states" property="code" labelProperty="name"/>
			</html:select>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="other">
	<div class="form-group">
		<label for="deliveryOther" class="control-label col-sm-4 <logic:match name="settings" property="value(deliveryRequired)" value="other">required</logic:match>">
			<bean:message key="orderForm.deliveryOther" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryOther" class="textbox form-control input-sm" name="deliveryOther" value="${fn:escapeXml(addressForm.deliveryOther)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="other">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="postalCode">
	<div class="form-group">
		<label for="deliveryPostalCode" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="postalCode"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryPostalCode" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryPostalCode" class="textbox form-control input-sm" name="deliveryPostalCode" value="${fn:escapeXml(addressForm.deliveryPostalCode)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="postalCode">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="country">
	<div class="form-group">
		<label for="deliveryCountry"  class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="country"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryCountry" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<html:select styleId="deliveryCountry" name="addressForm" property="deliveryCountry" styleClass="selectboxWide form-control input-sm">
				<logic:notMatch name="settings" property="value(deliveryRequired)" value="country">
					<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
					<option value="">-------------</option>
				</logic:notMatch>
				<html:options collection="countries" property="code" labelProperty="name"/>
			</html:select>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="phone1">
	<div class="form-group">
		<label for="deliveryPhone1" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="phone1"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryPhone1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="tel" id="deliveryPhone1" class="textbox form-control input-sm" name="deliveryPhone1" value="${fn:escapeXml(addressForm.deliveryPhone1)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="phone1">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="phone2">
	<div class="form-group">
		<label for="deliveryPhone2" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="phone2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryPhone2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="tel" id="deliveryPhone2" class="textbox form-control input-sm" name="deliveryPhone2" value="${fn:escapeXml(addressForm.deliveryPhone2)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="phone2">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="email1">
	<div class="form-group">
		<label for="deliveryEmail1" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="email1"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryEmail1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="email" id="deliveryEmail1" class="textbox form-control input-sm" name="deliveryEmail1" value="${fn:escapeXml(addressForm.deliveryEmail1)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="email1">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="email2">
	<div class="form-group">
		<label for="deliveryEmail2" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="email2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryEmail2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="email" id="deliveryEmail2" class="textbox form-control input-sm" name="deliveryEmail2" value="${fn:escapeXml(addressForm.deliveryEmail2)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="email2">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="extra1">
	<div class="form-group">
		<label for="deliveryExtra1" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="extra1"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryExtra1" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryExtra1" class="textbox form-control input-sm" name="deliveryExtra1" value="${fn:escapeXml(addressForm.deliveryExtra1)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="extra1">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="extra2">
	<div class="form-group">
		<label for="deliveryExtra2" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="extra2"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryExtra2" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryExtra2" class="textbox form-control input-sm" name="deliveryExtra2" value="${fn:escapeXml(addressForm.deliveryExtra2)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="extra2">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="extra3">
	<div class="form-group">
		<label for="deliveryExtra3" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="extra3"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryExtra3" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryExtra3" class="textbox form-control input-sm" name="deliveryExtra3" value="${fn:escapeXml(addressForm.deliveryExtra3)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="extra3">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="extra4">
	<div class="form-group">
		<label for="deliveryExtra4" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="extra4"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryExtra4" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryExtra4" class="textbox form-control input-sm" name="deliveryExtra4" value="${fn:escapeXml(addressForm.deliveryExtra4)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="extra4">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="extra5">
	<div class="form-group">
		<label for="deliveryExtra5" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="extra5"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryExtra5" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<input type="text" id="deliveryExtra5" class="textbox form-control input-sm" name="deliveryExtra5" value="${fn:escapeXml(addressForm.deliveryExtra5)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="extra5">required</logic:match>>
		</div>
	</div>
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="notes">
	<div class="form-group">
		<label for="deliveryNotes" class="control-label col-sm-4<logic:match name="settings" property="value(deliveryRequired)" value="notes"> requiredLabel</logic:match>">
			<bean:message key="orderForm.deliveryNotes" bundle="/order"/>
		</label>
		<div class="col-sm-8">
			<textarea id="deliveryNotes" class="textbox form-control input-sm" name="deliveryNotes" value="${fn:escapeXml(addressForm.deliveryNotes)}"
			<logic:match name="settings" property="value(deliveryRequired)" value="notes">required</logic:match>></textarea>
		</div>
	</div>
	</logic:match>
<!-- End ${pageScope.sscCurrentPage} -->
