<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<bean:define id="displayCheckoutConfirm" name="settings" property="value(displayCheckoutConfirm)" type="java.lang.String" />
<div id="crePaymentForm" class="paymentInformation crePaymentForm panel panel-primary">
	<div class="panel-heading">
		<c:if test="${creDisplayFormPart eq 'paymentButton'}">
			<h3 class="panel-title"><bean:message key="paymentForms.creHeadingExisting" bundle="/order"/></h3>
		</c:if>
		<c:if test="${creDisplayFormPart eq 'creForm'}">
			<h3 class="panel-title"><bean:message key="paymentForms.creHeadingNew" bundle="/order"/></h3>
		</c:if>
	</div>
	<div class="panel-body">
		<c:if test="${creDisplayFormPart eq 'paymentButton'}">
			<p class="instructions"><bean:message key="paymentForms.cimInstructions" bundle="/order"/></p>
		</c:if>
		<c:if test="${creDisplayFormPart eq 'creForm'}">
			<p class="instructions"><bean:message key="paymentForms.cimInstructions" bundle="/order"/></p>
			<div class="crePaymentErrors"></div>
		</c:if>
		<%-- If they chose an address book item with a card, use it.  The token should be stored in order.paymentProfileID --%>
		<c:if test="${creDisplayFormPart eq 'paymentButton'}">
			<c:choose>
				<c:when test="${!empty creCustomerAddress }">
					<logic:notPresent name="suppressSubmitButton">
						<input type="hidden" name="creditCardNumberDisplay" value="${creCustomerAddress.creditCardNumberDisplay}"/>
						<div id="creSecurePaymentInfo">
							<p><bean:message key="paymentForms.creUseChosenPaymentToken" bundle="/order"/></p>
							<span>${creCustomerAddress.creditCardName}</span><br/>
							<span>${creCustomerAddress.creditCardNumberDisplay}</span>&nbsp;<span>${creCustomerAddress.creditCardDate}</span><br/>
						</div>
						<div id="creSecurePaymentButton" class="paymentButton">
							<c:if test="${displayCheckoutConfirm eq '0'}">
								<input id="basicPaymentSubmit" type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
							</c:if>
							<c:if test="${displayCheckoutConfirm eq '1'}">
								<input id="basicPaymentSubmit" type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
							</c:if>
						</div>
					</logic:notPresent>
				</c:when>
				<c:otherwise>
					<%-- Set paymentProfileID token, but then couldn't find it on the next request or need to rebuild form URL.  
						Make them go back to bill/ship to either choose or create the creSecureFormURL again
					--%>
					<bean:message key="paymentForms.creNeedToRebuildForm" bundle="/order"/>
				</c:otherwise>
			</c:choose>
		</c:if>
		<c:if test="${creDisplayFormPart eq 'creForm' }">
			<%-- show form --%>
			<p><bean:message key="paymentForms.creUseNewPaymentInfo" bundle="/order"/></p>			
			<iframe src="${creSecureFormURL}" class="creSecureIframe" style="border: none; min-width: 100%; <c:if test="${settings.map.creSecureCollectAddress eq '0'}">min-height: 255px</c:if>"></iframe>
		</c:if>
		<div id="creLoadingBar"></div>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
