<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.LuceneFacetHelper" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:set var="delimiter"><%= Character.toString(LuceneFacetHelper.FACET_SEPARATOR) %></c:set>
<div class="facetedSearchSelections">
	<strong><bean:message key="search.yourSelections" bundle="/product" />:</strong>
	<c:forEach var="facet" items="${searchList.facets}">
		<c:set var="facetParts" value="${fn:split(facet,delimiter)}"/>
		<c:set var="facetName" value=""/>
		<c:choose>
			<c:when test="${facetParts[1] eq 'category'}">
				<c:set var="facetCategoryCode" value="${facetParts[fn:length(facetParts)-1]}"/>
				<c:set var="facetCategory" value="${searchList.facetCategories[facetCategoryCode]}"/>
				<c:set var="facetName" value="${facetCategory.name}"/>
			</c:when>
			<c:when test="${facetParts[1] eq 'manufacturer'}">
				<c:set var="facetManufacturerCode" value="${facetParts[fn:length(facetParts)-1]}"/>
				<c:set var="facetManufacturer" value="${searchList.facetManufacturers[facetManufacturerCode]}"/>
				<c:set var="facetName" value="${facetManufacturer.name}"/>
			</c:when>
			<c:when test="${facetParts[1] eq 'priceRange'}">
				<c:set var="facetPath" scope="request" value="${facet}"/>
				<ssc:insert page="/WEB-INF/layouts/default/product/facetedSearchPriceRangeFormat.jsp"/>
				<c:set var="facetName" value="${requestScope.formattedPriceRange}"/>
			</c:when>
			<c:when test="${facetParts[1] eq 'averageRating'}">
				<c:set var="facetName"><bean:message key="product.averageCustomerReview" bundle="/product"/>: ${facetParts[fn:length(facetParts)-1]}</c:set>
			</c:when>
			<c:otherwise>
				<c:set var="facetName" value="${facetParts[fn:length(facetParts)-1]}"/>
			</c:otherwise>
		</c:choose>
		<c:if test="${!empty facetName}">
			<label for="checkbox-${facet}" class="facetSelection btn btn-default" title="<bean:message key="search.remove" bundle="/product" /> ${facetName}"><c:out value="${facetName}" escapeXml="false"/>&nbsp;<span class="glyphicon glyphicon-remove"/></label>
		</c:if>
	</c:forEach>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
