<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start htmlHead.jsp -->
<title><c:out value="${htmlHeadTitle}" /></title>
<meta http-equiv="Content-Type" content="text/html;charset=<c:out value="${settings.map.characterEncoding}"/>" />
<meta name="keywords" content="<c:out value="${htmlHeadKeywords}" />"/>
<meta name="description" content="<c:out value="${htmlHeadDescription}" />"/>
<link rel="stylesheet" type="text/css" href="<c:out value="${pageContext.request.contextPath}"/>/css/base/base.css" />
<c:if test="${!empty settings.map.cssTheme}">
	<link rel="stylesheet" type="text/css" href="<c:out value="${pageContext.request.contextPath}"/>/css/<c:out value="${settings.map.cssTheme}"/>/<c:out value="${settings.map.cssTheme}"/>.css" />
</c:if>
<style type="text/css">
	/* Key styles, which may be set from settings in the admin area */
	<c:if test="${!empty settings.map.fontFamily}">body { font-family: <c:out value="${settings.map.fontFamily}"/>; }</c:if>
	<c:if test="${!empty settings.map.fontSize}">body { font-size: <c:out value="${settings.map.fontSize}"/>; }</c:if>
	<c:if test="${!empty settings.map.mainColor}">div#pageNavigation, div#pageNavigation a, strong.heading { background: <c:out value="${settings.map.mainColor}"/>; }</c:if>
	<c:if test="${!empty settings.map.headingColor}">h1, h2, h3, h4, h5, h6, h1#storeName a { color: <c:out value="${settings.map.headingColor}"/>; }</c:if>
	<c:if test="${!empty settings.map.buttonColor}">input.button { background: <c:out value="${settings.map.buttonColor}"/>; }</c:if>
	<c:if test="${settings.map.displayPanel eq '0'}">div#content { margin-left: 0; }</c:if>
	<c:if test="${settings.map.heightOfEachFacetInWidget > '0'}">ul.facetList { max-height: <c:out value="${settings.map.heightOfEachFacetInWidget}"/>px; }</c:if>
</style>
<link rel="stylesheet" type="text/css" media="print" href="<c:out value="${pageContext.request.contextPath}"/>/css/base/print.css" />
<link rel="stylesheet" type="text/css" href="<c:out value="${pageContext.request.contextPath}"/>/css/custom/custom.css" />
<tiles:insert page="/WEB-INF/layouts/default-xhtml/core/javascriptVariables.jsp"/>
<ssc:loadscript name="yahoo-dom-event"><script type="text/javascript" src="<c:out value="${pageContext.request.contextPath}"/>/js/yui/yahoo-dom-event/yahoo-dom-event.js"></script></ssc:loadscript>
<ssc:loadscript name="jquery"><script type="text/javascript" src="<c:out value="${pageContext.request.contextPath}"/>/js/jquery/jquery.js"></script></ssc:loadscript>

<c:if test="${settings.map.advancedSearchEnableFacetedSearch eq '1'}">
	<ssc:loadscript name="facetedSearchWidget"><script type="text/javascript" src="<c:out value="${pageContext.request.contextPath}"/>/js/softslate/facetedSearchWidget.js"></script></ssc:loadscript>
</c:if>
<c:out value="${htmlHeadString}" />
<c:if test="${ (pageTitleKey eq 'page.accountAddresses' or pageTitleKey eq 'page.checkoutAddresses' or pageTitleKey eq 'page.checkoutComboShipping' or pageTitleKey eq 'page.checkoutCombo') and settings.map.allowAddressBook eq '1' and !empty user.customer}">
	<tiles:insert page="/WEB-INF/layouts/default/customer/addressBookHeader.jsp"/>
</c:if>
<c:if test="${requestScope.useCIM and settings.map.authorizeNetCIMHostedMethod eq 'API Only' and (pageTitleKey eq 'page.accountCIMManageProfiles' or pageTitleKey eq 'page.checkoutAddresses' or pageTitleKey eq 'page.checkoutComboShipping' or pageTitleKey eq 'page.checkoutPayment' or pageTitleKey eq 'page.checkoutCombo')}">
	<tiles:insert page="/WEB-INF/layouts/default-xhtml/payment/authorizeNetCIMAPIHeader.jsp"/>
</c:if>
<c:if test="${requestScope.useCIM and settings.map.authorizeNetCIMHostedMethod ne 'API Only' and (pageTitleKey eq 'page.accountCIMManageProfiles' or pageTitleKey eq 'page.checkoutAddresses' or pageTitleKey eq 'page.checkoutComboShipping' or pageTitleKey eq 'page.checkoutPayment' or pageTitleKey eq 'page.checkoutCombo')}">
	<tiles:insert page="/WEB-INF/layouts/default-xhtml/payment/authorizeNetCIMHeader.jsp"/>
</c:if>
<c:if test="${fn:contains(activePaymentFormTemplates,'creSecurePaymentForm.jsp') and (pageTitleKey eq 'page.checkoutAddresses' or pageTitleKey eq 'page.checkoutComboShipping' or pageTitleKey eq 'page.checkoutPayment' or pageTitleKey eq 'page.checkoutCombo')}">
	<ssc:loadscript name="jquery"><script src="<c:out value="${pageContext.request.contextPath}"/>/js/jquery/jquery.js"></script></ssc:loadscript>
	<tiles:insert page="/WEB-INF/layouts/default/payment/creSecureHeader.jsp"/>
</c:if>
<c:if test="${settings.map.useAjaxOnePageCheckout eq '1' and (pageTitleKey eq 'page.checkoutAddresses' or pageTitleKey eq 'page.checkoutComboShipping' or pageTitleKey eq 'page.checkoutCombo')}">
	<ssc:loadscript name="jquery"><script src="<c:out value="${pageContext.request.contextPath}"/>/js/jquery/jquery.js"></script></ssc:loadscript>
	<ssc:loadscript name="jquery-ui"><script type="text/javascript" src="<c:out value="${pageContext.request.contextPath}"/>/js/jquery/jquery-ui.min.js"></script></ssc:loadscript>
	<ssc:loadscript name="jquery-ui-css"><link rel="stylesheet" type="text/css" href="<c:out value="${pageContext.request.contextPath}"/>/js/jquery/jquery-ui.min.css" /></ssc:loadscript>
	<ssc:loadscript name="onepagecheckout"><script type="text/javascript" src="<c:out value="${settings.map.customerSecureURL}"/>/js/softslate/onePageCheckout-xhtml.js"></script></ssc:loadscript>
</c:if>
<!-- End htmlHead.jsp -->
