<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start deliveryFormGuts.jsp -->
	<c:if test="${showShipToThisAddress}">
		<label for="shipToThisAddres"><bean:message key="addressBook.shipToThisAddress" bundle="/customer"/></label>
		<input type="radio" id="addressBookCheckoutNewContinueRadio" name="customerAddressID" class="addressBookDeliveryOption" value="" />
	</c:if>

	<logic:match name="settings" property="value(deliveryPrompt)" value="firstName">
		<label for="deliveryFirstName"<logic:match name="settings" property="value(deliveryRequired)" value="firstName"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryFirstName" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryFirstName" styleClass="textbox" name="addressForm" property="deliveryFirstName"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="lastName">
		<label for="deliveryLastName"<logic:match name="settings" property="value(deliveryRequired)" value="lastName"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryLastName" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryLastName" styleClass="textbox" name="addressForm" property="deliveryLastName"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="organization">
		<label for="deliveryOrganization"<logic:match name="settings" property="value(deliveryRequired)" value="organization"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryOrganization" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryOrganization" styleClass="textbox" name="addressForm" property="deliveryOrganization"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="address1">
		<label for="deliveryAddress1"<logic:match name="settings" property="value(deliveryRequired)" value="address1"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryAddress1" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryAddress1" styleClass="textbox" name="addressForm" property="deliveryAddress1"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="address2">
		<label for="deliveryAddress2"<logic:match name="settings" property="value(deliveryRequired)" value="address2"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryAddress2" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryAddress2" styleClass="textbox" name="addressForm" property="deliveryAddress2"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="city">
		<label for="deliveryCity"<logic:match name="settings" property="value(deliveryRequired)" value="city"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryCity" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryCity" styleClass="textbox" name="addressForm" property="deliveryCity"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="state">
		<label for="deliveryState" <logic:match name="settings" property="value(deliveryRequired)" value="state"> class="requiredLabel"</logic:match>>
			<bean:message key="orderForm.deliveryState" bundle="/order"/>:
		</label>
		<html:select styleId="deliveryState" name="addressForm" property="deliveryState" styleClass="selectboxWide">
			<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
			<option value="">-------------</option>
			<html:options collection="states" property="code" labelProperty="name"/>
		</html:select><br />
	</logic:match>
	
	<logic:match name="settings" property="value(deliveryPrompt)" value="other">
		<label for="deliveryOther">
		       <bean:message key="orderForm.deliveryOther" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryOther" styleClass="textbox" name="addressForm" property="deliveryOther"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="postalCode">
		<label for="deliveryPostalCode"<logic:match name="settings" property="value(deliveryRequired)" value="postalCode"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryPostalCode" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryPostalCode" styleClass="textbox" name="addressForm" property="deliveryPostalCode"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="country">
		<label for="deliveryCountry" <logic:match name="settings" property="value(deliveryRequired)" value="country"> class="requiredLabel"</logic:match>>
			<bean:message key="orderForm.deliveryCountry" bundle="/order"/>:
		</label>
		<html:select styleId="deliveryCountry" name="addressForm" property="deliveryCountry" styleClass="selectboxWide">
			<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
			<option value="">-------------</option>
			<html:options collection="countries" property="code" labelProperty="name"/>
		</html:select><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="phone1">
		<label for="deliveryPhone1"<logic:match name="settings" property="value(deliveryRequired)" value="phone1"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryPhone1" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryPhone1" styleClass="textbox" name="addressForm" property="deliveryPhone1"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="phone2">
		<label for="deliveryPhone2"<logic:match name="settings" property="value(deliveryRequired)" value="phone2"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryPhone2" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryPhone2" styleClass="textbox" name="addressForm" property="deliveryPhone2"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="email1">
		<label for="deliveryEmail1"<logic:match name="settings" property="value(deliveryRequired)" value="email1"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryEmail1" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryEmail1" styleClass="textbox" name="addressForm" property="deliveryEmail1"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="email2">
		<label for="deliveryEmail2"<logic:match name="settings" property="value(deliveryRequired)" value="email2"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryEmail2" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryEmail2" styleClass="textbox" name="addressForm" property="deliveryEmail2"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="extra1">
		<label for="deliveryExtra1"<logic:match name="settings" property="value(deliveryRequired)" value="extra1"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryExtra1" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryExtra1" styleClass="textbox" name="addressForm" property="deliveryExtra1"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="extra2">
		<label for="deliveryExtra2"<logic:match name="settings" property="value(deliveryRequired)" value="extra2"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryExtra2" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryExtra2" styleClass="textbox" name="addressForm" property="deliveryExtra2"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="extra3">
		<label for="deliveryExtra3"<logic:match name="settings" property="value(deliveryRequired)" value="extra3"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryExtra3" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryExtra3" styleClass="textbox" name="addressForm" property="deliveryExtra3"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="extra4">
		<label for="deliveryExtra4"<logic:match name="settings" property="value(deliveryRequired)" value="extra4"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryExtra4" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryExtra4" styleClass="textbox" name="addressForm" property="deliveryExtra4"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="extra5">
		<label for="deliveryExtra5"<logic:match name="settings" property="value(deliveryRequired)" value="extra5"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryExtra5" bundle="/order"/>:
		</label>
		<html:text styleId="deliveryExtra5" styleClass="textbox" name="addressForm" property="deliveryExtra5"/><br />
	</logic:match>

	<logic:match name="settings" property="value(deliveryPrompt)" value="notes">
		<label for="deliveryNotes"<logic:match name="settings" property="value(deliveryRequired)" value="notes"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.deliveryNotes" bundle="/order"/>:
		</label>
		<html:textarea styleId="deliveryNotes" name="addressForm" property="deliveryNotes"/><br />
	</logic:match>
<!-- End deliveryFormGuts.jsp -->
