<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start subcategories.jsp -->
<tiles:importAttribute name="subcategories"/>
<c:set var="columnOrder" value="0"/>
<c:set var="numberOfColumns" value="3"/>
<bean:size name="subcategories" id="numberOfItems"/>
<c:if test="${!empty subcategories and !subcategories['empty']}">
	<div class="subcategoryList columnList">
		<c:if test="${requestScope.supressSubcategoriesHeading ne 'true' and !currentCategory.isContentPage}">
			<h2><bean:message key="category.subcategories" bundle="/product"/></h2>
		</c:if>
		<table>
			<logic:iterate name="subcategories" id="category">
				<c:if test="${category.isActive}">
					<c:set var="columnOrder" value="${columnOrder + 1}"/>
					<c:if test="${columnOrder == 1}">
						<tr>
					</c:if>
					<td id="subcategory-<c:out value="${category.code}"/>" class="category">
						<%-- Category image --%>
						<c:if test="${!empty category.smallImage}">
							<div class="image">
								<c:set var="linkAction" value="Category.do"/>
								<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
								<html:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code">
									<img src="<c:out value="${category.smallImage}"/>"<c:if test="${!empty category.name}"> title="<c:out value="${category.name}"/>" alt="<c:out value="${category.name}"/>"</c:if>/>
								</html:link>
							</div>
						</c:if>
						<%-- Category name --%>
						<c:if test="${!empty category.name}">
							<div class="name">
								<c:set var="linkAction" value="Category.do"/>
								<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
								<html:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code">
									<c:out value="${category.name}" escapeXml="false"/>
								</html:link>
							</div>
						</c:if>
					</td>
					<c:if test="${columnOrder == numberOfColumns}">
						<c:set var="columnOrder" value="0"/>
						</tr>
					</c:if>
				</c:if>
			</logic:iterate>
			<c:if test="${columnOrder != 0}">
				<td colspan="<c:out value="${numberOfColumns - columnOrder}"/>">&nbsp;</td>
				</tr>
			</c:if>
		</table>
	</div>
</c:if>
<!-- End subcategories.jsp -->
