package com.softslate.commerce.businessobjects.email;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessProcessor;

public interface TemplateParser extends BusinessProcessor {

	public void initialize(Template template, Email email, Map<String, Object> extraTemplateObjects);

	public void setTemplate(Template template);

	public Email getEmail();

	public void setEmail(Email email);

	public Map<String, Object> getExtraTemplateObjects();

	public void setExtraTemplateObjects(Map<String, Object> extraTemplateObjects);

	public boolean parseEmail();

}
