<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="encryptionType" value="${settings.map.administratorEncryptionType}"/>

<!-- Start administratorChangePasswordForm.jsp -->
<c:set var="formAction" value="AdministratorChangePassword.do"/>
<c:set var="userName" value="${user.administrator.userName}"/>
<c:if test="${empty userName}">
	<c:set var="formAction" value="AdministratorChangePasswordAndLogin.do"/>
	<c:set var="userName" value="${administratorChangePasswordForm.userName}"/>
</c:if>
<form action="${formAction}" method="post">
	<table class="addEditTable settingsTable">
		<tr>
			<td class="property setting"><label for="userName">User Name:</label></td>
			<td class="value">
				<c:out value="${userName}"/>
				<html:hidden name="administratorChangePasswordForm" property="userName"/>
			</td>
		</tr>
		<tr class="altRow">
			<td class="property setting"><label for="password">Current Password:</label></td>
			<td class="value">
				<html:password name="administratorChangePasswordForm" property="password" styleId="password" maxlength="255" styleClass="textbox"/>
			</td>
		</tr>
		<tr>
			<td class="property setting"><label for="newDecryptedPassword">New Password:</label></td>
			<td class="value">
				<html:password name="administratorChangePasswordForm" property="newDecryptedPassword" styleId="newDecryptedPassword" maxlength="255" styleClass="textbox"/>
			</td>
		</tr>
		<tr class="altRow">
			<td class="property setting"><label for="confirmPassword">Confirm New Password:</label></td>
			<td class="value">
				<html:password name="administratorChangePasswordForm" property="confirmPassword" styleId="confirmPassword" maxlength="255" styleClass="textbox"/>
			</td>
		</tr>
	</table>
	<div class="adminAddEditButton">
		<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
	</div>
</form>
<!-- End administratorChangePasswordForm.jsp -->
