<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<c:set var="administratorURL" value="${settings.map.administratorURL}"/>

<!-- Start adminLayout.jsp -->

<ssc:insert attribute="controlScreenVariables"/>

<script language="JavaScript" type="text/javascript">
<!--
	var toggleDisplayField = 0;
	var toggleCheckDelete = 0;
	var toggleCheckSelect = 0;
	var toggleCheckAssign = 0;

	function updateCheckboxField(checkbox, field, index) {
		if (checkbox.checked) {
			if (checkbox.form[field][index] != null) {
				checkbox.form[field][index].value='true';
			} else {
				checkbox.form[field].value='true';
			}
		} else {
			if (checkbox.form[field][index] != null) {
				checkbox.form[field][index].value='false';
			} else {
				checkbox.form[field].value='false';
			}
		}
		return;
	}
	
	function toggleDisplayFields() {
		toggleDisplayField = (toggleDisplayField) ? 0 : 1;
		for(e = 0;e < document.displayFieldsForm.elements.length; e++) {
			if(document.displayFieldsForm.elements[e].type == 'checkbox'
				&& document.displayFieldsForm.elements[e].name == 'displayFields' ) {
				document.displayFieldsForm.elements[e].checked = toggleDisplayField;
			}
		}
	}
	
	function toggleCheckDeletes() {
		toggleCheckDelete = (toggleCheckDelete) ? 0 : 1;
		for(e = 0;e < document.editDeleteForm.elements.length; e++) {
			if(document.editDeleteForm.elements[e].type == 'checkbox'
				&& document.editDeleteForm.elements[e].name == 'deleteID' ) {
				document.editDeleteForm.elements[e].checked = toggleCheckDelete;
			}
		}
	}
	
	function toggleCheckSelected() {
		toggleCheckSelect = (toggleCheckSelect) ? 0 : 1;
		for(e = 0;e < document.editDeleteForm.elements.length; e++) {
			if(document.editDeleteForm.elements[e].type == 'checkbox'
				&& document.editDeleteForm.elements[e].name == 'selectedID' ) {
				document.editDeleteForm.elements[e].checked = toggleCheckSelect;
			}
		}
	}
	
	function toggleCheckAssigned() {
		toggleCheckAssign = (toggleCheckAssign) ? 0 : 1;
		for(e = 0;e < document.editDeleteForm.elements.length; e++) {
			if(document.editDeleteForm.elements[e].type == 'checkbox'
				&& document.editDeleteForm.elements[e].name == 'dummyAssigned' ) {
				document.editDeleteForm.elements[e].checked = toggleCheckAssign;
			}
			if(document.editDeleteForm.elements[e].type == 'hidden'
				&& document.editDeleteForm.elements[e].name == 'assigned' ) {
				document.editDeleteForm.elements[e].value = toggleCheckAssign;
			}
		}
	}
//-->
</script>

<div class="controlScreen">
	
	<c:if test="${empty mainForm.assignments}">
		<ssc:insert attribute="addButton"/>
	</c:if>
	
	<c:if test="${!empty mainForm.assignments}">
		<ssc:insert attribute="assignmentButtons"/>
	</c:if>
	
	<div class="miscControls controlScreenContainer adminContainer">
		<ssc:insert attribute="extraTopControls"/>
		<ssc:insert attribute="editModeButton"/>
		<ssc:insert attribute="searchBox"/>
		<ssc:insert attribute="displayedColumnsLink"/>
		<br/><br/>
		<ssc:insert attribute="displayFields"/>
	</div>
	
	<div class="controlScreenData controlScreenContainer adminContainer">
		<table class="controlScreenData grid">
			<ssc:insert attribute="gridLabels"/>
			<ssc:insert attribute="dataTable"/>
	    </table>
	</div>
	
	<div class="pageControls controlScreenContainer adminContainer">
		<ssc:insert attribute="pageParameters"/>
		<ssc:insert attribute="pagination"/>
	</div>
</div>

<ssc:insert attribute="extra"/>

<!-- End adminLayout.jsp -->
