<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start setting.jsp -->
<c:choose>
	<%-- Boolean settings --%>
	<c:when test="${setting.valueType eq 'booleanValue'}">
		<c:if var="enterpriseFeature" test="${setting.code eq 'applyDiscounts' or 
			setting.code eq 'trackInventory' or 
			setting.code eq 'advancedSearchOn' or 
			setting.code eq 'advancedSearchCategory' or 
			setting.code eq 'advancedSearchManufacturer' or 
			setting.code eq 'advancedSearchProductList' or 
			setting.code eq 'allowSavedCarts' or 
			setting.code eq 'allowReorders' or 
			setting.code eq 'allowCustomerWishLists' or 
			setting.code eq 'enableProductReviews' or 
			setting.code eq 'enableProductReviews' or 
			setting.code eq 'displayEstimatedShippingOnCartPage' or 
			setting.code eq 'logRequestsToDatabase' or 
			setting.code eq 'giftCertificateAmountAttributeCode' or 
			setting.code eq 'recordEmailsInDatabase' or 
			setting.code eq 'useSendGrid'
			}"/>
		<tr class="<c:out value="${requestScope.thisClass}"/><c:if test="${enterpriseFeature}"> enterpriseFeature</c:if>">
			<td class="setting"><c:out value="${setting.name}"/>:</td>
			<td class="value">
				<input type="radio" name="<c:out value="${setting.code}"/>" id="<c:out value="${setting.code}"/>1" value="1" <c:if test="${setting.integerValue eq '1'}">checked="checked"</c:if>/>
				<label for="<c:out value="${setting.code}"/>1">yes</label>
				&nbsp;&nbsp; 
				<input type="radio" name="<c:out value="${setting.code}"/>" id="<c:out value="${setting.code}"/>0" value="0" <c:if test="${setting.integerValue eq '0'}">checked="checked"</c:if>/>
				<label for="<c:out value="${setting.code}"/>0">no</label>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			 </td>
		</tr>
	</c:when>
	<%-- Integer settings --%>
	<c:when test="${setting.valueType eq 'integerValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
			<td class="value">
				<input type="text" class="number" maxlength="10" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${setting.integerValue}"/>"/>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			</td>
		</tr>
	</c:when>
	<%-- Small text settings --%>
	<c:when test="${setting.valueType eq 'smallValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
			<td class="value">
				<input type="text" class="length100" maxlength="64" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${setting.smallValue}"/>"/>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			</td>
		</tr>
	</c:when>
	<%-- Medium settings --%>
	<c:when test="${setting.valueType eq 'mediumValue' or setting.valueType eq 'encryptedValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
			<td class="value">
				<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>" value="<c:out value="${setting.mediumValue}"/>"/>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			</td>
		</tr>
	</c:when>
	<%-- Text settings --%>
	<c:when test="${setting.valueType eq 'textValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
			<td class="value">
				<textarea rows="8" id="<c:out value="${setting.code}"/>" name="<c:out value="${setting.code}"/>"><c:out value="${setting.textValue}"/></textarea>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			</td>
		</tr>
	</c:when>
</c:choose>

<!-- End setting.jsp -->
