<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.customer.core.ActionUtils" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory" %>
<c:set var="emailSubject" scope="request" value="Your Order No. ${order.orderNumber} Has Shipped"/>
<p>Greetings,</p>
<p>We thought we'd let you know that we shipped the items from your recent order.</p>
<c:if test="${!empty order.trackingNumber}">
	<c:set var="trackingNum" value="${order.trackingNumber}"/>
	<%
		try {
			BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
			ActionUtils actionUtils = (ActionUtils) bof.createUtilsObject("actionUtilsImplementer");
			String trackingNum = (String) pageContext.getAttribute("trackingNum");
			String link = actionUtils.createTrackingNumberLink(trackingNum);
			if (link != null) {
				pageContext.setAttribute("link", link);
	%>
				<p>You can track the progress of your shipment through this link: 
				<a target="_blank" href="<c:out value="${link}"/>">Tracking #<c:out value="${order.trackingNumber}"/></a></p>
	<%
			}
		} catch (Exception e) {
			// swallow
		}
	%>
</c:if>
<c:if test="${!empty order.customer}">
	<p>You can review the status of all your orders online by visiting Your Account at <a href="<c:out value="${customerURL}"/>/Account.do"><c:out value="${customerURL}"/>/Account.do</a></p>
</c:if>
<p>Thank you for shopping with us!</p>
