<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="administratorURL" value="${settings.map.administratorURL}" />

<!-- Start monthlySalesForm.jsp -->

<html:form action="/MonthlySales" method="post">
	<table class="settingsTable" summary="Monthly Sales form">
		<tr class="row">
			<td class="setting"><label for="startDate">Start Date</label>:</td>
			<td class="value">
				<html:text styleId="startDate" name="monthlySalesForm" property="startDate"/>
				<img src="<c:out value="${settings.map.administratorURL}"/>/jscalendar/img.gif" id="startDateTrigger" title="Date selector" alt="Date selector"/>
				<script type="text/javascript">
				    Calendar.setup({
				        inputField     :    "startDate",     // id of the input field
				        ifFormat       :    "%Y-%m-%d",      // format of the input field
				        button         :    "startDateTrigger",  // trigger for the calendar (button ID)
				        align          :    "Tl",           // alignment (defaults to "Bl")
				        singleClick    :    true
				    });
				</script>
				
			</td>
		</tr>
		<tr class="altRow">
			<td class="setting"><label for="endDate">End Date</label>:</td>
			<td class="value">
				<html:text styleId="endDate" name="monthlySalesForm" property="endDate"/>
				<img src="<c:out value="${settings.map.administratorURL}"/>/jscalendar/img.gif" id="endDateTrigger" title="Date selector" alt="Date selector"/>
				<script type="text/javascript">
				    Calendar.setup({
				        inputField     :    "endDate",     // id of the input field
				        ifFormat       :    "%Y-%m-%d",      // format of the input field
				        button         :    "endDateTrigger",  // trigger for the calendar (button ID)
				        align          :    "Tl",           // alignment (defaults to "Bl")
				        singleClick    :    true
				    });
				</script>
			</td>
		</tr>
		<tr class="row">
			<td class="setting"><span class="label">Format</span>:</td>
			<td class="value">
				<html:radio name="monthlySalesForm" property="outputFormat" styleId="screen" value="screen"/> <label for="screen">On screen</label>
				<br/>
				<html:radio name="monthlySalesForm" property="outputFormat" styleId="tab" value="tab"/> <label for="tab">Tab-delimited download (.txt)</label>
				<br/>
				<html:radio name="monthlySalesForm" property="outputFormat" styleId="pipe" value="pipe"/> <label for="pipe">Pipe-delimited download (.txt)</label>
				<br/>
				<html:radio name="monthlySalesForm" property="outputFormat" styleId="csv" value="csv"/> <label for="csv">Comma-delimited download (.csv)</label>
			</td>
		</tr>
	</table>
	
	<div class="runReport">
		<input type="submit" class="button" name="monthlySalesReport" value="Run Report"/>
	</div>
</html:form>

<!-- End monthlySalesForm.jsp -->

