<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<html:hidden name="orderDeliveryAddEditForm" property="orderID"/>
<logic:notEmpty name="orderDeliveryAddEditForm" property="parentName">
	<html:hidden name="orderDeliveryAddEditForm" property="parentName"/>
</logic:notEmpty>

<!-- Start orderDeliveryFormGuts.jsp -->

<script language="JavaScript" type="text/javascript">
<!--
	function getDateString() {
		var d = new Date();
		var dateString = d.getFullYear();
		var month = d.getMonth() + 1;
		if (month < 10) {
			dateString = dateString + "-0" + month;
		} else {
			dateString = dateString + "-" + month;
		}
		if (d.getDate() < 10) {
			dateString = dateString + "-0" + d.getDate();
		} else {
			dateString = dateString + "-" + d.getDate();
		}
		if (d.getHours() < 10) {
			dateString = dateString + " 0" + d.getHours();
		} else {
			dateString = dateString + " " + d.getHours();
		}
		if (d.getMinutes() < 10) {
			dateString = dateString + ":0" + d.getMinutes();
		} else {
			dateString = dateString + ":" + d.getMinutes();
		}
		if (d.getSeconds() < 10) {
			dateString = dateString + ":0" + d.getSeconds();
		} else {
			dateString = dateString + ":" + d.getSeconds();
		}
		return dateString + ":000";
	}
//-->
</script>

<tr>
	<td class="genericLabel">Tracking Number:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="trackingNumber" maxlength="100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Total:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="total" maxlength="9"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Shipping:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="shipping" maxlength="9"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Tax:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="tax" maxlength="9"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Taxable Subotal:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="taxableSubtotal" maxlength="9"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Subtotal:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="subtotal" maxlength="9"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Quantity:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="quantity" maxlength="10"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Weight:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="weight" maxlength="9"/>
	</td>
</tr>
<logic:equal name="editing" value="true">
	<tr>
		<td class="genericLabel">Last Modified:</td>
		<td class="genericData">
			<bean:write name="orderDeliveryAddEditForm" property="lastModified"/>
			<html:hidden name="orderDeliveryAddEditForm" property="lastModified"/>
		</td>
	</tr>
</logic:equal>
<tr>
	<td class="genericLabel">Delivered Date:</td>
	<td class="genericData">
		<html:text name="orderDeliveryAddEditForm" property="delivered"/>
		<a href="#" onclick="document.forms.orderDeliveryAddEditForm.delivered.value=getDateString();return false;">Set to Now</a>
	</td>
</tr>
<tr>
	<td class="genericLabel">Status:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="status" maxlength="100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Status Details:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="statusDetails" maxlength="255"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">First Name:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="firstName" maxlength="100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Last Name:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="lastName" maxlength="100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Organization:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="organization" maxlength="100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Address 1:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="address1" maxlength="255"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Address 2:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="address2" maxlength="255"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">City:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="city" maxlength="100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">State:</td>
	<td>
			<html:select name="orderDeliveryAddEditForm" property="state" style="width: 143px">
				<option value="">Select</option>
				<option value="">-------------</option>
				<html:options collection="states" property="code" labelProperty="name"/>
			</html:select>
	</td>
</tr>
<tr>
	<td class="genericLabel">Postal Code:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="postalCode" maxlength="100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Country:</td>
	<td>
			<html:select name="orderDeliveryAddEditForm" property="country" style="width: 143px">
				<option value="">Select</option>
				<option value="">-------------</option>
				<html:options collection="countries" property="code" labelProperty="name"/>
			</html:select>
	</td>
</tr>
<tr>
	<td class="genericLabel">Phone 1:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="phone1" maxlength="100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Phone 2:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="phone2" maxlength="100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Email 1:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="email1" maxlength="100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Email 2:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="email2" maxlength="100"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 1:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="extra1" maxlength="255"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 2:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="extra2" maxlength="255"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 3:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="extra3" maxlength="255"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 4:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="extra4" maxlength="255"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 5:</td>
	<td>
			<html:text name="orderDeliveryAddEditForm" property="extra5" maxlength="255"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Notes:</td>
	<td>
			<html:textarea cols="75" rows="10" name="orderDeliveryAddEditForm" property="notes"/>
	</td>
</tr>
<!-- End orderDeliveryFormGuts.jsp -->
