<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start productSetting.jsp -->
<c:choose>
	<%-- Specially-formatted settings --%>
	<c:when test="${setting.code eq 'decrementBehavior'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><c:out value="${setting.name}"/> (<c:out value="${setting.code}"/>):</td>
			<td class="value">
				<input type="hidden" name="code" value="<c:out value="${setting.code}"/>" />
				<input type="hidden" name="valueType" value="<c:out value="${setting.valueType}"/>" />
				<select name="value">
					<option value="onAddingToCart" <logic:match name="setting" property="smallValue" value="onAddingToCart">selected="selected"</logic:match>>On Adding to Cart</option>
					<option value="onOrderCompletion" <logic:match name="setting" property="smallValue" value="onOrderCompletion">selected="selected"</logic:match>>On Order Completion</option>
					<option value="dontDecrement" <logic:match name="setting" property="smallValue" value="dontDecrement">selected="selected"</logic:match>>Don't Decrement</option>
				</select>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			 </td>
		</tr>
	</c:when>
	<c:when test="${setting.code eq 'pageLayoutStyle'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><c:out value="${setting.name}"/> (<c:out value="${setting.code}"/>):</td>
			<td class="value">
				<input type="hidden" name="code" value="<c:out value="${setting.code}"/>" />
				<input type="hidden" name="valueType" value="<c:out value="${setting.valueType}"/>" />
				<select name="value">
					<option value="leftLayout" <logic:equal name="setting" property="smallValue" value="leftLayout">selected="selected"</logic:equal>>Sidebar Layout</option>
					<option value="layout" <logic:equal name="setting" property="smallValue" value="layout">selected="selected"</logic:equal>>Full Layout</option>
				</select>
			 	<br/>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			 </td>
		</tr>
	</c:when>
	<%-- "Boolean" settings --%>
	<c:when test="${setting.code eq 'overrideGlobal'
					or setting.code eq 'denyPurchaseWhenOOS'
					or setting.code eq 'deactivateWhenOOS'
					or setting.code eq 'sendLowStockEmails'
					or setting.code eq 'displayAsMatrix'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><c:out value="${setting.name}"/> (<c:out value="${setting.code}"/>):</td>
			<td class="value">
				<input type="hidden" name="code" value="<c:out value="${setting.code}"/>" />
				<input type="hidden" name="valueType" value="integerValue" />
				<input name="value" id="<c:out value="${setting.code}"/>Field" value="<bean:write name="setting" property="integerValue"/>" type="hidden">
				<input type="radio" id="<c:out value="${setting.code}"/>1" name="<c:out value="${setting.code}"/>Value" onclick="this.form.<c:out value="${setting.code}"/>Field.value = 1" value="1" <logic:equal name="setting" property="integerValue" value="1">checked="checked"</logic:equal>/>
				<label for="<c:out value="${setting.code}"/>1">yes</label>
				&nbsp;&nbsp; 
				<input type="radio" id="<c:out value="${setting.code}"/>0" name="<c:out value="${setting.code}"/>Value" onclick="this.form.<c:out value="${setting.code}"/>Field.value = 0" value="0" <logic:equal name="setting" property="integerValue" value="0">checked="checked"</logic:equal>/>
				<label for="<c:out value="${setting.code}"/>0">no</label>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			 </td>
		</tr>
	</c:when>
	<%-- Boolean settings --%>
	<c:when test="${setting.valueType eq 'booleanValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label> (<c:out value="${setting.code}"/>):</td>
			<td class="value">
				<input type="hidden" name="code" value="<c:out value="${setting.code}"/>" />
				<input type="hidden" name="valueType" value="<c:out value="${setting.valueType}"/>" />
				<input type="radio" name="value" id="<c:out value="${setting.code}"/>1" value="1" <c:if test="${setting.integerValue eq '1'}">checked="checked"</c:if>/>
				<label for="<c:out value="${setting.code}"/>1">yes</label>
				&nbsp;&nbsp; 
				<input type="radio" name="value" id="<c:out value="${setting.code}"/>0" value="0" <c:if test="${setting.integerValue eq '0'}">checked="checked"</c:if>/>
				<label for="<c:out value="${setting.code}"/>0">no</label>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			</td>
			<c:if test="${!empty productSettingsFormGeneral or !empty productSettingsFormFacets}">
				<td class="value">
					 <a href="<c:out value="${settings.map.administratorURL}"/>/ProductSettingDelete<c:out value="${requestScope.actionSuffix}"/>.do?productID=<c:out value="${setting.productID}"/>&productSettingID=<c:out value="${setting.productSettingID}"/>&type=<c:out value="${setting.type}"/>"><bean:message key="administrator.delete" bundle="/administrator/administrator"/></a>
				</td>
			</c:if>
		</tr>
	</c:when>
	<%-- Integer settings --%>
	<c:when test="${setting.valueType eq 'integerValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label> (<c:out value="${setting.code}"/>):</td>
			<td class="value">
				<input type="hidden" name="code" value="<c:out value="${setting.code}"/>" />
				<input type="hidden" name="valueType" value="<c:out value="${setting.valueType}"/>" />
				<input type="text" class="number" maxlength="10" id="<c:out value="${setting.code}"/>" name="value" value="<bean:write name="setting" property="integerValue"/>"/>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			</td>
			<c:if test="${!empty productSettingsFormGeneral or !empty productSettingsFormFacets}">
				<td class="value">
					 <a href="<c:out value="${settings.map.administratorURL}"/>/ProductSettingDelete<c:out value="${requestScope.actionSuffix}"/>.do?productID=<c:out value="${setting.productID}"/>&productSettingID=<c:out value="${setting.productSettingID}"/>&type=<c:out value="${setting.type}"/>"><bean:message key="administrator.delete" bundle="/administrator/administrator"/></a>
				</td>
			</c:if>
		</tr>
	</c:when>
	<%-- Small text settings --%>
	<c:when test="${setting.valueType eq 'smallValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label> (<c:out value="${setting.code}"/>):</td>
			<td class="value">
				<input type="hidden" name="code" value="<c:out value="${setting.code}"/>" />
				<input type="hidden" name="valueType" value="<c:out value="${setting.valueType}"/>" />
				<input type="text" class="length100" maxlength="64" id="<c:out value="${setting.code}"/>" name="value" value="<bean:write name="setting" property="smallValue"/>"/>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			</td>
			<c:if test="${!empty productSettingsFormGeneral or !empty productSettingsFormFacets}">
				<td class="value">
					 <a href="<c:out value="${settings.map.administratorURL}"/>/ProductSettingDelete<c:out value="${requestScope.actionSuffix}"/>.do?productID=<c:out value="${setting.productID}"/>&productSettingID=<c:out value="${setting.productSettingID}"/>&type=<c:out value="${setting.type}"/>"><bean:message key="administrator.delete" bundle="/administrator/administrator"/></a>
				</td>
			</c:if>
		</tr>
	</c:when>
	<%-- Medium settings --%>
	<c:when test="${setting.valueType eq 'mediumValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label> (<c:out value="${setting.code}"/>):</td>
			<td class="value">
				<input type="hidden" name="code" value="<c:out value="${setting.code}"/>" />
				<input type="hidden" name="valueType" value="<c:out value="${setting.valueType}"/>" />
				<input type="text" class="textbox" maxlength="255" id="<c:out value="${setting.code}"/>" name="value" value="<bean:write name="setting" property="mediumValue"/>"/>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			</td>
			<c:if test="${!empty productSettingsFormGeneral or !empty productSettingsFormFacets}">
				<td class="value">
					 <a href="<c:out value="${settings.map.administratorURL}"/>/ProductSettingDelete<c:out value="${requestScope.actionSuffix}"/>.do?productID=<c:out value="${setting.productID}"/>&productSettingID=<c:out value="${setting.productSettingID}"/>&type=<c:out value="${setting.type}"/>"><bean:message key="administrator.delete" bundle="/administrator/administrator"/></a>
				</td>
			</c:if>
		</tr>
	</c:when>
	<%-- Text settings --%>
	<c:when test="${setting.valueType eq 'textValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label> (<c:out value="${setting.code}"/>):</td>
			<td class="value">
				<input type="hidden" name="code" value="<c:out value="${setting.code}"/>" />
				<input type="hidden" name="valueType" value="<c:out value="${setting.valueType}"/>" />
				<textarea cols="60" rows="8" id="<c:out value="${setting.code}"/>" name="value"><bean:write name="setting" property="textValue"/></textarea>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			</td>
			<c:if test="${!empty productSettingsFormGeneral or !empty productSettingsFormFacets}">
				<td class="value">
					 <a href="<c:out value="${settings.map.administratorURL}"/>/ProductSettingDelete<c:out value="${requestScope.actionSuffix}"/>.do?productID=<c:out value="${setting.productID}"/>&productSettingID=<c:out value="${setting.productSettingID}"/>&type=<c:out value="${setting.type}"/>"><bean:message key="administrator.delete" bundle="/administrator/administrator"/></a>
				</td>
			</c:if>
		</tr>
	</c:when>
</c:choose>
<!-- End productSetting.jsp -->
